package com.neusoft.smart.pos.dto.advertisement.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
@ApiModel
public class MediaResourceRequest {
	
	private Integer id;
	
	@NotNull(message = "资源名称不可为空")
	@ApiModelProperty(name = "mediaName", value = "资源名称", dataType = "String" ,example="1",required=true)
	private String mediaName;
	
	@NotNull(message = "资源uuid不可为空")
	@ApiModelProperty(name = "mediaUuid", value = "资源uuid", dataType = "String" ,example="xxx-xxx-ddd-xxx",required=true)
	private String mediaUuid;
	
	@NotNull(message = "资源地址不可为空")
	@ApiModelProperty(name = "mediaUrl", value = "资源地址", dataType = "String" ,example="http://xxx.com/xxx",required=true)
	private String mediaUrl;
	
	@NotNull(message = "资源类型不可为空")
	@ApiModelProperty(name = "mediaType", value = "资源类型", dataType = "Integer" ,example="1",required=true)
	private Integer mediaType;
	
	@NotNull(message = "文件类型不可为空")
	@ApiModelProperty(name = "mediaName", value = "文件类型", dataType = "String" ,example="jpg",required=true)
	private String fileType;
	
	@ApiModelProperty(name = "displayType", value = "播放类型", dataType = "Integer" ,example="1",required=true)
	private Integer displayType;
	
	private Integer status;
	
	private Integer createBy;
	
	private Date createTime;
	
}
