package com.neusoft.smart.pos.dto.card.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.DecimalMax;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel(value = "卡支付退款请求对象")
public class CardTradeRefundRequest {

	@NotEmpty(message = "平台支付单编号不可为空")
	@ApiModelProperty(name = "outTradeId", value = "平台支付单编号", dataType = "String", example = "xxxxxxxxxx", required = true)
	private String outTradeId;

	@NotEmpty(message = "平台退款订单编号不可为空")
	@ApiModelProperty(name = "outRefundNumber", value = "平台退款订单编号", dataType = "String", example = "xxxxxxxxxx", required = true)
	private String outRefundNumber;

	@NotEmpty(message = "卡交易流水号不可为空")
	@ApiModelProperty(name = "cardTradeNum", value = "卡交易流水号", dataType = "String", example = "xxxxxxxxxx", required = true)
	private String cardTradeNum;
	
	@NotNull(message = "退款金额不可为空")
	@ApiModelProperty(name = "refundAmount", value = "退款金额", dataType = "Long", example = "123", required = true)
	private Long refundAmount;
	
//	private String refundUser;
	
}