package com.neusoft.smart.pos.dto.card.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.DecimalMax;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel(value = "卡充值请求对象")
public class RechargeRequest {

	@ApiModelProperty(name = "cardNum", value = "卡号", dataType = "String", example = "123546798")
	private String cardNum;

	@ApiModelProperty(name = "cardAnotherId", value = "卡Id2", dataType = "String", example = "2")
	private String cardAnotherId;

	@ApiModelProperty(name = "cardOtherId", value = "卡其他识别ID", dataType = "String", example = "123546798")
	private String cardOtherId;
	
	@NotEmpty(message = "充值订单编号不可为空")
	@ApiModelProperty(name = "outRechargeOrderNo", value = "充值编号", dataType = "String", example = "xxxxxxxxxx", required = true)
	private String outRechargeOrderNo;
	
	@NotNull(message = "充值金额不可为空")
	@ApiModelProperty(name = "rechargeAmount", value = "充值金额（单位：分）", dataType = "Long", example = "12321", required = true)
	private Long rechargeAmount;

	@ApiModelProperty(name = "rechargeMode", value = "充值支付方式", dataType = "Integer", example = "2")
	private Integer rechargeMode;
	
	@NotNull(message = "充值时间不可为空")
	@ApiModelProperty(name = "rechargeTime", value = "充值时间", dataType = "Date", example = "2018-04-16 15:20:32", required = true)
	private Date rechargeTime;
	
	
}