package com.neusoft.smart.pos.dto.card.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.DecimalMax;
import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
public class CardTradeRefundResponse {

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	protected Date refundedTime;

	private String cardRefundNum; //卡交易退单流水号

	@ApiModelProperty(name = "refundAmount", value = "退款金额(单位分)", dataType = "Long", example = "123", required = true)
	private Long refundAmount;

    @NotEmpty(message = "平台支付单编号不可为空")
    @ApiModelProperty(name = "outTradeId", value = "平台支付单编号", dataType = "String", example = "xxxxxxxxxx", required = true)
    private String outTradeId;

    @NotEmpty(message = "平台退款订单编号不可为空")
    @ApiModelProperty(name = "outRefundNumber", value = "平台退款订单编号", dataType = "String", example = "xxxxxxxxxx", required = true)
    private String outRefundNumber;
	
}
