package com.neusoft.smart.pos.dto.device.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel
@Data
public class ConfigStrategyGroupRequest {
	
	@NotNull(message = "配置策略名称不可为空")
	@ApiModelProperty(name = "strategyName", value = "配置策略名称", dataType = "String", example = "abc", required = true)
	private String strategyName;
	
	@NotNull(message = "设备列表不可为空")
	@ApiModelProperty(name = "deviceList", value = "设备列表", dataType = "List", example = "[]", required = true)
	private List<DeviceRequest> deviceList;
	
	@NotNull(message = "配置文件列表不可为空")
	@ApiModelProperty(name = "strategyList", value = "配置文件列表", dataType = "List", example = "[]", required = true)
	private List<ConfigStrategyRequest> strategyList;
	
	private Integer organizationId;
}
