package com.neusoft.smart.pos.dto.device.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
@ApiModel
public class DeviceRequest {
	
	private Integer id;
	
	@NotEmpty(message = "设备MAC地址不可为空")
	@ApiModelProperty(name = "macAddr", value = "设备MAC地址", dataType = "String", example = "xxxx-xxx-xxx", required = true)
	private String macAddr;
	
	@NotEmpty(message = "设备序列号不可为空")
	@ApiModelProperty(name = "serialNo", value = "设备序列号", dataType = "String", example = "xxxxxxxxxx", required = true)
	private String serialNo;
	
	@NotEmpty(message = "设备当前版本不可为空")
	@ApiModelProperty(name = "curVersion", value = "设备当前版本", dataType = "String", example = "1.0.1", required = true)
	private String curVersion;
	
	private String manufacturer;
	
	private String region;
	
	private String department;
	
	private String customer;
	
	private String deviceType;
	
	private String deviceModel;
	
	private String alias;
	
	private Integer createdBy;
	
	private Date createdDate;
	
	private Integer lastModifiedBy;
	
	private Date lastModifiedDate;
	
	private Integer status;
	
	private String signalStrength;
	
	private String ipAddress;
	
	private Date lastRequestTime;
	
	private Integer organizationId;
	
	private Integer storeId;
}
