package com.neusoft.smart.pos.dto.fumao.request;

import com.neusoft.smart.pos.dto.payment.response.FumaoParameterforNextStep;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;

import com.neusoft.smart.pos.dto.fumao.bean.NeuInfoBean;
import com.neusoft.smart.pos.dto.fumao.bean.ParameterforNextStepBean;
import com.neusoft.smart.pos.dto.fumao.bean.ThirdPartyInfoBean;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author tjm
 * @date 2019-08-29 10：43
 * @description 富茂订单新增使用Request
 */
@Data
@ApiModel
public class PostFumaoTradeOrderRequest {

	@ApiModelProperty(name = "neuInfo", value = "东软云POS端信息", dataType = "NeuInfo类")
	private NeuInfoBean neuInfo;

	@ApiModelProperty(name = "thirdPartyInfo", value = "三方富茂端信息", dataType = "ThirdPartyInfo类")
	private ThirdPartyInfoBean thirdPartyInfo;
	
	@ApiModelProperty(name = "parameterforNextStep", value = "请求相关数据", dataType = "String" ,example="ParameterforNextStep类")
	private FumaoParameterforNextStep parameterforNextStep;

}
