package com.neusoft.smart.pos.dto.inventory.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel
public class CreateMenuRequest {
    
    @NotNull(message = "菜品名不能为空")
    @ApiModelProperty(value = "菜品名", required = true)
    protected String name;
    
    @NotNull(message = "菜品价格不能为空")
    @ApiModelProperty(value = "菜品价格", required = true)
    protected Double price;
    
    @NotNull(message = "菜品类别不能为空")
    @ApiModelProperty(value = "菜品类别", required = true)
    protected Integer category;
    
    @ApiModelProperty(value = "菜品标签")
    protected List<Integer> tags;

    /*@NotNull(message = "集团id不能为空")
    @ApiModelProperty(value = "集团id", required = true)
    protected Integer org;*/
    
    /*@NotNull(message = "门店id不能为空")*/
    @ApiModelProperty(value = "门店id", required = true)
    protected Integer shop;
    
    @ApiModelProperty(value = "是否上架 1: 上架 0: 下架")
    protected Byte onSale;
    
    @ApiModelProperty(value = "图片")
    protected String image;
    
    protected Integer order;
}
