package com.neusoft.smart.pos.dto.inventory.request;

import com.neusoft.smart.pos.dto.AbstractQuery;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class InventoryGoodsQueryRequest extends AbstractQuery {
    
    @ApiModelProperty(value = "菜品名")
    private String name;
    
    @ApiModelProperty(value = "一维码")
    private String barCode;
    
    @ApiModelProperty(value = "菜品类别，多个类别以'|'分割")
    private String categories;
    
    @ApiModelProperty(value = "菜品标签，多个标签以'|'分割")
    private String tags;
    
    @ApiModelProperty(value = "集团id")
    private Integer orgId;
    
    @ApiModelProperty(value = "门店id")
    private Integer shopId;
    
    @ApiModelProperty(value = "门店id集合")
    private List<Integer> shopIds;
    
    @ApiModelProperty(value = "是否上架 1: 上架 0: 下架")
    private Integer onSale;
    
    @ApiModelProperty(value = "是否不包含餐位费")
    private Boolean withoutServiceCharge = true;
    
    private String orderByClause;
}
