package com.neusoft.smart.pos.dto.inventory.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel
public class PatchUpdateMenuRequest {
    
    @NotNull(message = "菜品id不能为空")
    @ApiModelProperty(value = "菜品id")
    private Integer id;
    
    @ApiModelProperty(value = "菜品名")
    private String name;
    
    @ApiModelProperty(value = "菜品价格")
    private Double price;
    
    @ApiModelProperty(value = "菜品类别")
    private Integer category;
    
    @ApiModelProperty(value = "菜品标签")
    private List<Integer> tags;

    /*@ApiModelProperty(value = "集团id")
    private Integer org;*/
    
    @ApiModelProperty(value = "门店id")
    private Integer shop;
    
    @ApiModelProperty(value = "是否上架 1: 上架 0: 下架")
    private Byte onSale;
    
    @ApiModelProperty(value = "图片")
    private String image;
}
