package com.neusoft.smart.pos.dto.inventory.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Data
@ApiModel
public class PostInventoryGoodsInfoRequest {
    
    @ApiModelProperty(value = "条码", required = true)
    protected String barCode;
    
    @NotNull(message = "商品名不能为空")
    @ApiModelProperty(value = "商品名称", required = true)
    protected String name;
    
    @NotNull(message = "商品价格不能为空")
    @ApiModelProperty(value = "商品价格", required = true)
    protected BigDecimal price;
    
    @NotNull(message = "商品规格不能为空")
    @ApiModelProperty(value = "商品规格", required = true)
    protected String unit;
    
    @NotNull(message = "商品类别不能为空")
    @ApiModelProperty(value = "商品类别", required = true)
    protected Integer categoryId;
    
    @ApiModelProperty(hidden = true)
    protected Integer org;
    
    @ApiModelProperty(value = "门店id")
    protected Integer store;
    
    @ApiModelProperty(value = "是否上架 1: 上架 0: 下架")
    protected Integer onSale;
    
    private Integer id;
    
    @NotNull(message = "商品是否需要库存不可以为空")
    @ApiModelProperty(value = "商品是否需要库存", required = true)
    private Integer isStock;
    
    private Integer scale;
    
    private String image;
    
    private Integer priority;
    
    private Integer isThirdparty;
}
