package com.neusoft.smart.pos.dto.inventory.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
public class PostInventoryStoreBatchRequest implements Serializable {
    
    
    @ApiModelProperty(name = "id", value = "ID", dataType = "Integer", example = "1")
    private Integer id;
    
    @ApiModelProperty(name = "goodsId", value = "商品ID", dataType = "Integer", required = true, example = "123")
    private Integer goodsId;
    
    private String goodsName;
    
    private Integer orgId;
    
    @ApiModelProperty(name = "shopId", value = "门店ID", dataType = "Integer", required = true, example = "123")
    private Integer shopId;
    
    @ApiModelProperty(name = "storageNum", value = "入库出库数量", dataType = "BigDecimal", required = true, example = "10.0")
    private BigDecimal storageNum;
    
    @ApiModelProperty(name = "inPrice", value = "进价", dataType = "BigDecimal", example = "10.5")
    private BigDecimal inPrice;
    
    @ApiModelProperty(name = "salePrice", value = "售价", dataType = "BigDecimal", example = "10.5")
    private BigDecimal salePrice;
    
    @ApiModelProperty(name = "supplier", value = "厂家ID", dataType = "Integer", example = "110")
    private Integer supplier;
    
    @ApiModelProperty(name = "madeDate", value = "生产日期", dataType = "Date", example = "2018-01-01")
    private Date madeDate;
    
    @ApiModelProperty(name = "qualityDate", value = "过期日期", dataType = "Date", example = "2018-05-01")
    private Date qualityDate;
    
    @ApiModelProperty(name = "actionType", value = "活动类型", dataType = "String", example = "10")
    private String actionType;
    
    private Integer actionDire;
    
    @ApiModelProperty(name = "uniqId", value = "销售/退货/盘点的唯一标识", dataType = "String", example = "201801010101")
    private String uniqId;
    
    @ApiModelProperty(name = "pulPrice", value = "进价(用于绑定查询到的批次的单价)", dataType = "BigDecimal", example = "10.5")
    private BigDecimal pulPrice;
    
    @ApiModelProperty(name = "operator", value = "操作人", dataType = "String", example = "aaa")
    private String operator;
    
}