package com.neusoft.smart.pos.dto.inventory.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.math.BigDecimal;

@Data
@ApiModel
public class PutInventoryGoodsInfoRequest {
    
    @ApiModelProperty(value = "条码")
    @Size(max = 15)
    protected String barCode;
    
    @ApiModelProperty(value = "商品名称")
    @Size(max = 15)
        protected String name;
    
    @ApiModelProperty(value = "商品价格")
    protected BigDecimal price;
    
    @ApiModelProperty(value = "商品规格")
    @Size(max = 8)
    protected String unit;
    
    @ApiModelProperty(value = "商品类别")
    protected Integer categoryId;
    
    @ApiModelProperty(hidden = true)
    protected Integer org;
    
    @ApiModelProperty(value = "门店id")
    protected Integer store;
    
    @ApiModelProperty(value = "是否上架 1: 上架 0: 下架")
    protected Integer onSale;
    
    @ApiModelProperty(value = "id")
    @NotNull(message = "id不可为空")
    private Integer id;

    @ApiModelProperty(value = "商品是否需要库存")
    private Integer isStock = 0;
    
    private Integer scale;
    
    private String image;
    
    private Integer priority;
    
    private Integer isThirdparty;
}
