package com.neusoft.smart.pos.dto.inventory.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@ApiModel
public class PutInventoryStoreBatchRequest implements Serializable {
    
    @ApiModelProperty(name = "goodsId", value = "商品ID", dataType = "Integer", required = true, example = "123")
    private Integer goodsId;
    
    @ApiModelProperty(name = "orgId", value = "集团ID", dataType = "Integer", required = true, example = "123")
    private Integer orgId;
    
    @ApiModelProperty(name = "shopId", value = "门店ID", dataType = "Integer", required = true, example = "123")
    private Integer shopId;
    
    @ApiModelProperty(name = "storageNum", value = "入库出库数量", dataType = "BigDecimal", required = true, example = "10.0")
    private BigDecimal storageNum;
    
    @ApiModelProperty(name = "salePrice", value = "售价", dataType = "BigDecimal", example = "10.5")
    private BigDecimal salePrice;
    
    @ApiModelProperty(name = "supplier", value = "厂家ID", dataType = "Integer", example = "110")
    private Integer supplier;
    
    @ApiModelProperty(name = "uniqId", value = "销售/退货/盘点的唯一标识", dataType = "String", example = "201801010101")
    private String uniqId;
    
    @ApiModelProperty(name = "operator", value = "操作人", dataType = "String", example = "aaa")
    private String operator;
    
}