package com.neusoft.smart.pos.dto.inventory.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class InventoryStoreResponse {
    
    private Integer total;
    
    private List<Entry> data;
    
    @Data
    public static class Entry {
        
        private Integer goodsId;
        
        private String goodsBarCode;
        
        private String goodsName;
        
        private String goodsCategory;
        
        private String supplier;
        
        private String goodsUnit;
        
        @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
        private Date qualityDate;
        
        private BigDecimal storageNum;
        
        private BigDecimal averageInPrice;
        
        private BigDecimal totalInventoryAmount;
        
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
        private Date updatedTime;
        
        private String operator;
    
        private Integer isStock;
    }
}
