package com.neusoft.smart.pos.dto.inventory.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
public class PostInventoryStoreBatchResponse implements Serializable {
    
    @ApiModelProperty(name = "id", value = "库存ID", dataType = "Integer", example = "2")
    private Integer id;
    
    @ApiModelProperty(name = "goodsId", value = "商品ID", dataType = "Integer", required = true, example = "123")
    private Integer goodsId;
    
    @ApiModelProperty(name = "shopId", value = "门店ID", dataType = "Integer", required = true, example = "123")
    private Integer shopId;
    
    @ApiModelProperty(name = "storageNum", value = "入库出库数量", dataType = "BigDecimal", required = true, example = "10.0")
    private BigDecimal storageNum;
    
    @ApiModelProperty(name = "unit", value = "数量单位", dataType = "String", example = "个/斤")
    private String unit;
    
    @ApiModelProperty(name = "scale", value = "单位精度(小数点后几位)", dataType = "Integer", example = "2")
    private Integer scale;
    
    @ApiModelProperty(name = "inPrice", value = "进价", dataType = "BigDecimal", example = "10.5")
    private BigDecimal inPrice;
    
    @ApiModelProperty(name = "supplier", value = "厂家ID", dataType = "Integer", example = "110")
    private Integer supplier;
    
    @ApiModelProperty(name = "madeDate", value = "生产日期", dataType = "Date", example = "2018-01-01")
    private Date madeDate;
    
    @ApiModelProperty(name = "qualityDate", value = "过期日期", dataType = "Date", example = "2018-05-01")
    private Date qualityDate;
    
    @ApiModelProperty(name = "status", value = "状态", dataType = "String", example = "0")
    private String status;
    
    @ApiModelProperty(name = "createdTime", value = "创建时间", dataType = "Date", example = "2018-06-01 00:00:00")
    private Date createTime;
    
    @ApiModelProperty(name = "createdBy", value = "创建人", dataType = "String", example = "aaa")
    private String createdBy;
    
    @ApiModelProperty(name = "updatedTime", value = "更新时间", dataType = "Date", example = "2018-06-01 00:00:00")
    private Date updatedTime;
    
    @ApiModelProperty(name = "updatedBy", value = "更新人", dataType = "String", example = "bbb")
    private String updatedBy;
    
}