package com.neusoft.smart.pos.dto.member.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "会员卡积分核销请求对象")
public class MemberPointWriteOffRequest {
	
	@NotEmpty(message = "会员卡号不可为空")
	@ApiModelProperty(name = "cardNum", value = "会员卡号", dataType = "String", example = "123546798", required = true)
	private String cardNum;
	
	@NotNull(message = "核销会员积分不可为空")
	@ApiModelProperty(name = "writeOffPoint", value = "核销会员积分", dataType = "Integer", example = "123", required = true)
	@Max(value = 999999, message = "核销会员积分不可大于999999")
	@Min(value = 1, message = "核销会员积分必须大于1")
	private Integer writeOffPoint;
	
}
