package com.neusoft.smart.pos.dto.order.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author tmg
 * @date 2019-12-20 10：43
 * @description 订单配送地址明细Request
 */
@Data
@ApiModel
public class DeliveryDetailRequest {

    @ApiModelProperty(name = "contacts", value = "收货人姓名", dataType = "String", example = "张三")
    private String contacts;

    @ApiModelProperty(name = "detailedAddress", value = "收货人地址", dataType = "String", example = "辽宁省沈阳市浑南区新秀街2号东软软件园A6楼108室")
    private String detailedAddress;

    @ApiModelProperty(name = "contactPhone", value = "收货人电话", dataType = "String", example = "18654367789")
    private String contactPhone;

    @ApiModelProperty(name = "deliveryType", value = "收货类型", dataType = "String", example = "ontime")
    private String deliveryType;

    @ApiModelProperty(name = "deliveryTypeParam", value = "收货类型参数", dataType = "String", example = "2020-06-30 15:40:00")
    private String deliveryTypeParam;
}
