package com.neusoft.smart.pos.dto.order.request;

import com.neusoft.smart.pos.dto.payorder.request.PostCreatePayRefundOrderRequest;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author tongmg
 * @date 2019-12-06 16：43
 * @description 退款订单新增使用Request
 */
@Data
@ApiModel
public class PostCreateRefundOrderRequest {
    private Integer sellerOrgId;

    private Integer sellerShopId;

    @ApiModelProperty(name = "originalOrderNumber", value = "订单编号", dataType = "String" ,example="005")
    private String originalOrderNumber;

    @ApiModelProperty(name = "refundOrderNumber", value = "退款订单编号", dataType = "String" ,example="0051")
    private String refundOrderNumber;

    @ApiModelProperty(name = "locationNo", value = "位置编号(如桌号等)", dataType = "String" ,example="005")
    private String locationNo;

    @ApiModelProperty(name = "serialNo", value = "设备序列号", dataType = "String" ,example="15554512555")
    private String serialNo;

    @ApiModelProperty(name = "refundedAmount", value = "已退款订单总金额（单位分）", dataType = "Long", example = "1898")
    private Long refundedAmount;

    @ApiModelProperty(name = "refundableAmount", value = "退款订单总金额", dataType = "Long", example = "1898")
    private Long refundableAmount;

    @ApiModelProperty(name = "orderRefundDetails", value = "退款商品明细", dataType = "list")
    private List<PostOrderDetailRequest> orderRefundDetails;

    @ApiModelProperty(name = "payRefundInfos", value = "退款支付列表", dataType = "list")
    private List<PostCreatePayRefundOrderRequest> payRefundInfos;

    @ApiModelProperty(name = "remark", value = "描述", dataType = "String" ,example="1")
    private String remark;

    private Date timeExpire;

    private Date createdAt;

    private String createdBy;
}
