package com.neusoft.smart.pos.dto.order.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author zcf
 * @date 2018-01-08 10：43
 * @description 订单新增使用Request
 */
@Data
@ApiModel
public class PostOrderDetailRequest {
	
	@ApiModelProperty(name = "itemNumber", value = "商品编号", dataType = "String", example = "368685208641077248")
	private String itemNumber;

	@ApiModelProperty(name = "itemName", value = "商品名称", dataType = "String", example = "大盘鸡")
	private String itemName;

	@ApiModelProperty(name = "categoryName", value = "商品所属类别名称", dataType = "String", example = "凉菜")
	private String categoryName;

	@ApiModelProperty(name = "categoryNumber", value = "商品所属类别编号", dataType = "String", example = "10")
	private String categoryNumber;

	@ApiModelProperty(name = "unitPrice", value = "商品单价", dataType = "Double", example = "18.98")
	private BigDecimal unitPrice;

	@ApiModelProperty(name = "finalPrice", value = "商品总价", dataType = "Double", example = "18.98")
	private BigDecimal finalPrice;

	@ApiModelProperty(name = "discountAmount", value = "优惠金额", dataType = "Double", example = "18.98")
	private BigDecimal discountAmount = BigDecimal.ZERO;

	@ApiModelProperty(name = "quantity", value = "商品数量", dataType = "Double", example = "5")
	private BigDecimal quantity;

	@ApiModelProperty(name = "image", value = "商品图片Url", dataType = "String", example = "http://otadl.neusoft.com/img/1535941880013")
	private String image;
}
