package com.neusoft.smart.pos.dto.order.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author tongmg
 * @date 2019-12-04 16：43
 * @description 订单保存使用Request
 */
@Data
@ApiModel
public class PostSaveOrderRequest {
    @ApiModelProperty(name = "orgId", value = "集团编号", dataType = "Integer")
    private Integer orgId;

    @ApiModelProperty(name = "shopId", value = "门店编号", dataType = "Integer")
    private Integer shopId;

    @ApiModelProperty(name = "orderNumber", value = "订单编号", dataType = "String" ,example="005")
    private String orderNumber;

    @ApiModelProperty(name = "locationNo", value = "位置编号(如桌号等)", dataType = "String" ,example="005")
    private String locationNo;

    @ApiModelProperty(name = "serialNo", value = "设备序列号", dataType = "String" ,example="15554512555")
    private String serialNo;

    @ApiModelProperty(name = "orderAmount", value = "订单总金额（单位分）", dataType = "Long", example = "1898")
    private Long orderAmount;

    @ApiModelProperty(name = "orderType", value = "订单类型@1正常订单@2POS端补录订单@3会员卡充值订单@4微信点餐订单", dataType = "String" ,example="1")
    private String orderType;

    @ApiModelProperty(name = "remark", value = "描述", dataType = "String" ,example="1")
    private String remark;

    private Date timeExpire;

    private Date createdAt;
}
