package com.neusoft.smart.pos.dto.order.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author tongmg
 * @date 2020-06-30 10：43
 * @description 订单其他费用明细使用Request
 */
@Data
@ApiModel
public class PostVariableFeesRequest {

    @ApiModelProperty(name = "varFeeName", value = "费用名称", dataType = "String", example = "配送费")
    private String varFeeName;

    @ApiModelProperty(name = "varFeeDescription", value = "费用描述", dataType = "String", example = "凉菜")
    private String varFeeDescription;

    @ApiModelProperty(name = "categoryNumber", value = "费用所属类别编号", dataType = "String", example = "-2")
    private String categoryNumber = "-2";

    @ApiModelProperty(name = "varFeeAmount", value = "商品总价", dataType = "Double", example = "18.98")
    private BigDecimal varFeeAmount;

    @ApiModelProperty(name = "varFeeDiscount", value = "优惠金额", dataType = "Double", example = "18.98")
    private BigDecimal varFeeDiscount = BigDecimal.ZERO;
}
