package com.neusoft.smart.pos.dto.order.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;

/**
 * @author tongmg
 * @date 2019-12-05 16：43
 * @description 订单取消使用Request
 */
@Data
public class PutCancelOrderRequest {

    @NotNull(message = "订单编号不能为空")
    @NotEmpty(message = "订单编号不能为空")
    @ApiModelProperty(name = "orderNumber", value = "订单编号", dataType = "String" ,required=true)
    private String orderNumber;

    @ApiModelProperty(name = "serialNo", value = "POS机sn", dataType = "String",required=true ,example="NSPSA110GW174920065")
    private String serialNo;

    //一般情况下通过设备SN获得
    @ApiModelProperty(name = "shopId", value = "卖家Id", dataType = "Integer")
    private Integer shopId;

    //一般情况下通过设备SN获得
    @ApiModelProperty(name = "orgId", value = "集团Id", dataType = "Integer")
    private Integer orgId;
}
