package com.neusoft.smart.pos.dto.order.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;

/**
 * @author tongmg
 * @date 2019-12-05 16：43
 * @description 订单设置状态Request
 */
@Data
public class PutSetOrderStatusRequest {
    @ApiModelProperty(name = "serialNo", value = "POS机sn", dataType = "String",required=true ,example="NSPSA110GW174920065")
    private String serialNo;

    @NotNull(message = "订单编号不能为空")
    @ApiModelProperty(name = "orderNumber", value = "订单编号",example="815326740687", dataType = "String" ,required=true)
    private String orderNumber;

    @ApiModelProperty(name = "orderStatus", value = "订单状态1：待支付 2：已取消 3：支付中 4：已支付 5：支付完成 6：待退款 7：退款中 8：已退款 9：退款完成", dataType = "String" ,example="1")
    private String orderStatus;

    //一般情况下通过设备SN获得
    @ApiModelProperty(name = "shopId", value = "卖家Id", dataType = "Integer")
    private Integer shopId;

    //一般情况下通过设备SN获得
    @ApiModelProperty(name = "orgId", value = "集团Id", dataType = "Integer")
    private Integer orgId;
}
