package com.neusoft.smart.pos.dto.order.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;

/**
 * @author tongmg
 * @date 2019-12-06 16：43
 * @description 设置退款订单状态Request
 */
@Data
public class PutSetRefundOrderStatusRequest {
    @NotNull(message = "原始订单编号不能为空")
    @NotEmpty(message = "原始订单编号不能为空")
    @ApiModelProperty(name = "originalOrderNumber", value = "原始订单编号", dataType = "String" ,required=true)
    private String originalOrderNumber;

    @NotNull(message = "退款订单编号不能为空")
    @NotEmpty(message = "退款订单编号不能为空")
    @ApiModelProperty(name = "refundOrderNumber", value = "退款订单编号", dataType = "String" ,required=true)
    private String refundOrderNumber;

    @ApiModelProperty(name = "orderStatus", value = "退款订单状态 1：退款中 2：退款完成 3：退款取消", dataType = "String" ,example="1")
    private String refundStatus;

    @NotNull(message = "POS机sn不能为空")
    @NotEmpty(message = "POS机sn不能为空")
    @ApiModelProperty(name = "serialNo", value = "POS机sn", dataType = "String",required=true ,example="NSPSA110GW174920065")
    private String serialNo;
}
