package com.neusoft.smart.pos.dto.order.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;


@Data
public class PutUpdateOrderStatusRequest {

    @NotNull(message = "订单编号不能为空")
    @NotEmpty(message = "订单编号不能为空")
    @ApiModelProperty(name = "orderNumber", value = "订单编号",example="815326740687", dataType = "String" ,required=true)
    private String orderNumber;

    @NotNull(message = "当前订单状态不能为空")
    @ApiModelProperty(name = "oldStatus", value = "当前订单状态",example="5", dataType = "Integer", required=true)
    private Integer oldStatus;

    @NotNull(message = "更新订单状态不能为空")
    @ApiModelProperty(name = "newStatus", value = "更新订单状态",example="11", dataType = "Integer", required=true)
    private Integer newStatus;

}
