package com.neusoft.smart.pos.dto.order.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author tongmg
 * @date 2019-12-04 16：43
 * @description 订单支付结果使用Request
 */
@Data
@ApiModel
public class SetOrderPayResultRequest {
    @ApiModelProperty(name = "tradeId", value = "支付订单Id", dataType = "String",example="948626387918")
    private String tradeId;

    @ApiModelProperty(name = "orderNumber", value = "订单编号", dataType = "String",example="948626387918")
    private String orderNumber;

    @ApiModelProperty(name = "payType", value = "支付类型", dataType = "Integer")
    private Integer payType;

    @ApiModelProperty(name = "payResult", value = "支付结果", dataType = "String", example = "1表示成功，0表示失败")
    private String payResult;


    @ApiModelProperty(name = "responseDetailInfo", value = "支付结果详细信息", dataType = "String")
    private String responseDetailInfo;

    @ApiModelProperty(name = "traceNo", value = "银行卡支付交易流水号", dataType = "String")
    private String traceNo;

    @ApiModelProperty(name = "batchNo", value = "银行卡支付批次号", dataType = "String")
    private String batchNo;

    @ApiModelProperty(name = "refNo", value = "银行卡支付参考号", dataType = "String")
    private String refNo;

    @ApiModelProperty(name = "transDate", value = "银行卡支付交易日期", dataType = "String")
    private String transDate;

    private String UserId;

    private String createdBy;

    private Date payTime;
}
