package com.neusoft.smart.pos.dto.order.response;

import com.neusoft.smart.pos.framework.utils.DateUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author zcf
 * @date 2018-01-08 10：43
 * @description 订单支付状态查询使用Response
 */
@ApiModel
@Data
public class GetOrderPayStatusResponse {

    @ApiModelProperty(name = "payStatus", value = "支付状态(@1:未付款@2:已付款)", dataType = "String" ,example="2")
    public String payStatus;

    @ApiModelProperty(name = "payType", value = "支付类型", dataType = "String" ,example="2")
    public String payType;

    @ApiModelProperty(name = "paidTime", value = "支付完成时间", dataType = "String" ,example="2018-07-09 09:40:53")
    public String paidTime = DateUtils.format(new Date(),DateUtils.FORMAT_LONG);

    public GetOrderPayStatusResponse(String payStatus,String payType) {
        this.payStatus = payStatus;
        this.payType = payType;
    }

    public GetOrderPayStatusResponse() {
    }
}