package com.neusoft.smart.pos.dto.org.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@ApiModel
public class ShopQueryRequest implements Serializable {
	
	@ApiModelProperty(name = "id", value = "门店ID", dataType = "String" ,example="1")
    private String id;

    @ApiModelProperty(name = "name", value = "门店名称", dataType = "String" ,example="东软集团")
    private String name;

    @ApiModelProperty(name = "org", value = "所属组织ID", dataType = "String",example="1")
    private String org;
    
    @ApiModelProperty(name = "province", value = "省", dataType = "String",example="辽宁省")
    private String province;
    
    @ApiModelProperty(name = "city", value = "市", dataType = "String",example="沈阳")
    private String city;
    
    @ApiModelProperty(name = "address", value = "地址", dataType = "String",example="浑南区XX街")
    private String address;
    
    @ApiModelProperty(name = "orderField", value = "排序字段", dataType = "String" ,example="posnum")
    private String orderField;

    @ApiModelProperty(name = "dire", value = "升序降序", dataType = "String" ,example="desc/asc")
    private String dire;
    
    @ApiModelProperty(name = "offset", value = "起始位置", dataType = "int" ,example="0")
    private Integer offset;

    @ApiModelProperty(name = "limit", value = "一页长度", dataType = "int" ,example="10")
    private Integer limit;
    
    @ApiModelProperty(name = "ids", value = "id列表", dataType = "int" ,example="[1,2]")
    private List<Integer> ids;
    
    @ApiModelProperty(name = "settle", value = "结算方式(前结/后结)", dataType = "String",example="1/2")
    private String settle;

}