package com.neusoft.smart.pos.dto.org.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel
public class PostShopResponse implements Serializable {
    @ApiModelProperty(name = "id", value = "门店ID", dataType = "Integer" ,required=true,example="1")
    private Integer id;

    @ApiModelProperty(name = "name", value = "门店名称", dataType = "String" ,required=true,example="东软集团门店1")
    private String name;

    @ApiModelProperty(name = "org", value = "集团ID", dataType = "Integer",example="1")
    private Integer org;

    @ApiModelProperty(name = "orgname", value = "集团名称", dataType = "String",example="东软集团")
    private String orgname;

    @ApiModelProperty(name = "province", value = "省", dataType = "String")
    private String province;

    @ApiModelProperty(name = "city", value = "市", dataType = "String")
    private String city;

    @ApiModelProperty(name = "address", value = "地址", dataType = "String")
    private String address;

    @ApiModelProperty(name = "phone", value = "电话", dataType = "String")
    private String phone;

    @ApiModelProperty(name = "image", value = "门店图片", dataType = "String")
    private String image;

    @ApiModelProperty(name = "comment", value = "描述", dataType = "String")
    private String comment;

    @ApiModelProperty(name = "payeetype", value = "结算类型@1:集团结算@2:门店结算", dataType = "String" ,example="1")
    private String payeetype;

    @ApiModelProperty(name = "openhours", value = "集团ID", dataType = "String" )
    private String openhours;

    @ApiModelProperty(name = "createDate", value = "创建时间", dataType = "String" )
    private String createDate;

    @ApiModelProperty(name = "posnum", value = "门店POS数", dataType = "Integer",example="0" )
    private Integer posnum;

    @ApiModelProperty(name = "membernum", value = "会员数", dataType = "Integer",example="0" )
    private Integer membernum;
    
    @ApiModelProperty(name = "provincename", value = "省", dataType = "String")
    private String provincename;

    @ApiModelProperty(name = "cityname", value = "市", dataType = "String")
    private String cityname;
    
    @ApiModelProperty(name = "membertype", value = "会员类型", dataType = "String")
    private String membertype;
    
    @ApiModelProperty(name = "settle", value = "结算方式(前结/后结)", dataType = "String")
    private String settle;
    
    @ApiModelProperty(name = "inventoryConfigId", value = "进销存配置id", dataType = "Integer", example = "1")
    private Integer inventoryConfigId;
    
    @ApiModelProperty(name = "isLock", value = "是否可以锁库存", dataType = "Integer", example = "1")
    private Integer isLock;
    
    @ApiModelProperty(name = "canNegativeStorage", value = "是否可以负库存", dataType = "Integer", example = "1")
    private Integer canNegativeStorage;
    
    @ApiModelProperty(name = "needApproval", value = "是否需要审批", dataType = "Integer", example = "1")
    private Integer needApproval;
}