package com.neusoft.smart.pos.dto.oss;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class GetSignatureRequest implements Serializable {

    @NotNull(message = "商户号不能为空")
    @NotEmpty(message = "商户号不能为空")
    @ApiModelProperty(name = "mcode", value = "商户号", dataType = "String" ,required=true)
    private String mcode;

    @NotNull(message = "签名不能为空")
    @NotEmpty(message = "签名不能为空")
    @ApiModelProperty(name = "sign", value = "签名", dataType = "String" ,required=true)
    private String sign;

    @NotNull(message = "上传目录不能为空")
    @NotEmpty(message = "上传目录不能为空")
    @ApiModelProperty(name = "dir", value = "上传目录", dataType = "String" ,required=true)
    private String dir;


    @NotNull(message = "时间戳不能为空")
    @NotEmpty(message = "时间戳不能为空")
    @ApiModelProperty(name = "timestamp", value = "时间戳", dataType = "String" ,required=true)
    private String timestamp;
}
