package com.neusoft.smart.pos.dto.ota.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;

@Data
public class AppInfoRequest {
	
	private Integer id;
	
	@NotEmpty(message = "app名称")
	@ApiModelProperty(name = "appName", value = "app名称", dataType = "String", example = "1", required = true)
	private String appName;
	
	@NotEmpty(message = "app包名")
	@ApiModelProperty(name = "appPackage", value = "app包名", dataType = "String", example = "1", required = true)
	private String appPackage;
	
	@ApiModelProperty(name = "appSign", value = "app签名", dataType = "String", example = "1", required = true)
	private String appSign;
	
	@ApiModelProperty(name = "appDescription", value = "app描述", dataType = "String", example = "1", required = true)
	private String appDescription;
	
	@ApiModelProperty(name = "organizationId", value = "组织id", dataType = "Integer", example = "1")
	private Integer organizationId;
	
	@ApiModelProperty(name = "status", value = "app状态", dataType = "Integer", example = "1")
	private Integer status;
}
