package com.neusoft.smart.pos.dto.ota.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
@ApiModel
public class UpgradePackageRequest {
	
	private Integer id;
	
	@NotNull(message = "更新包文件名不可为空")
	@ApiModelProperty(name = "fileName", value = "更新包文件名", dataType = "String" ,example="1",required=true)
	private String fileName;
	
	@NotNull(message = "更新包下载URL不可为空")
	@ApiModelProperty(name = "filePath", value = "更新包下载URL", dataType = "String" ,example="1",required=true)
	private String filePath;
	
	@NotNull(message = "更新包大小不可为空")
	@ApiModelProperty(name = "fileSize", value = "更新包大小", dataType = "Integer" ,example="1",required=true)
	private Integer fileSize;
	
	@NotNull(message = "更新包md5不可为空")
	@ApiModelProperty(name = "md5Code", value = "更新包md5", dataType = "String" ,example="1",required=true)
	private String md5Code;
	
	@NotNull(message = "更新包类型不可为空")
	@ApiModelProperty(name = "fileType", value = "更新包类型", dataType = "Integer" ,example="1",required=true)
	private Integer fileType;
	
	@NotNull(message = "更新包版本不可为空")
	@ApiModelProperty(name = "versionCode", value = "资源名称", dataType = "String" ,example="1",required=true)
	private String versionCode;
	
	private Integer prevPackageId;
	
	private String manufacturer;
	
	private String deviceType;
	
	private String deviceModel;
	
	private String customer;
	
	private Integer createdBy;
	
	private Date createdDate;
	
	private Integer lastModifiedBy;
	
	private Date lastModifiedDate;
	
	private Integer status;
	
	private String releaseNote;
	
	private Integer organizationId;
}
