package com.neusoft.smart.pos.dto.payment.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.List;

/**
 * @author tjm
 * @date 2019-08-23 10：43
 * @description 富茂支付单生成使用Request
 */
@Data
@ApiModel
public class FumaoPayRequest {
	
	@ApiModelProperty(name = "deviceSN", value = "设备ID,pos机的SN号", dataType = "String" ,example="213123123",required=true)
	private String deviceSN;

	@ApiModelProperty(name = "memId", value = "富茂会员ID", dataType = "String" ,example="213124578",required=false)
	private String memId;

	@ApiModelProperty(name = "memPhone", value = "富茂会员手机号", dataType = "String" ,example="13500000000",required=false)
	private String memPhone;

	@ApiModelProperty(name = "businessType", value = "交易场景,枚举类型，0核销；1订单交易", dataType = "String" ,example="1",required=true)
	private String businessType;

	@ApiModelProperty(name = "orderAmount", value = "订单总支付金额,单位分,不能包含小数", dataType = "String" ,example="1000",required=true)
	private String orderAmount;

	@ApiModelProperty(name = "orderAmountLeft", value = "订单未支付金额,单位分,不能包含小数", dataType = "String" ,example="1000",required=true)
	private String orderAmountLeft;

	@ApiModelProperty(name = "orderNumber", value = "业务系统订单号(在业务系统中唯一)", dataType = "String" ,example="4200000073201",required=false)
	private String orderNumber;

	@ApiModelProperty(name = "couponOrderIdList", value = "富茂优惠券ID列表", dataType = "java.util.List" ,example="323287061575204864",required=false)
	private List<String> couponOrderIdList;

	@ApiModelProperty(name = "cardId", value = "富茂消费卡号", dataType = "String" ,example="323287061575204833",required=false)
	private String cardId;

	@ApiModelProperty(name = "amountPaidbyCard", value = "消费卡支付金额,单位分,不能包含小数", dataType = "String" ,example="1000",required=false)
	private String amountPaidbyCard;
	
	@ApiModelProperty(name = "merchantId", value = "富茂的商户ID", dataType = "String" ,example="320833942159982592",required=true)
	private String merchantId;

	@ApiModelProperty(name = "tenantId", value = "富茂的广场ID", dataType = "String" ,example="456",required=true)
	private String tenantId;

	@ApiModelProperty(name = "orderOperatorId", value = "富茂系统登录操作员ID", dataType = "String" ,example="320833942159982521",required=true)
	private String orderOperatorId;
}
