package com.neusoft.smart.pos.dto.payment.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zcf
 * @date 2018-11-26 09：52
 * @description 预授权转支付使用Request
 */
@Data
@ApiModel
public class PostGrantToPayRequest {

	@ApiModelProperty(name = "mcode", value = "商户号(聚合支付平台提供)", dataType = "String" ,example="NEU226104452154865",required=true)
	private String mcode;

	@ApiModelProperty(name = "grantOrderNumber", value = "资金预授权订单编号", dataType = "String" ,required=true)
	private String grantOrderNumber;
	
	@ApiModelProperty(name = "orderNumber", value = "业务系统支付订单编号", dataType = "String" ,example="201801301122")
	private String orderNumber;
	
	@ApiModelProperty(name = "payAmount", value = "支付金额(单位分)", dataType = "Long" ,required=true)
	private Long payAmount;
	
	@ApiModelProperty(name = "payType", value = "支付方式编号", dataType = "String" ,required=true)
	private String payType;
	
	@ApiModelProperty(name = "storeId", value = "支付宝开放平台门店编号", dataType = "String")
	private String storeId;
	
	@ApiModelProperty(name = "deviceId", value = "终端设备编号，由商户定义", dataType = "String")
	private String deviceId;
	
	@ApiModelProperty(name = "pid", value = "分润商户PID", dataType = "String")
	private String pid;
	
	@ApiModelProperty(name = "sign", value = "签名(MD5加密字符串)", dataType = "String" ,example="5CFB108E5A9CAA78B141251BC2BD7F74",required=true)
	private String sign;
}
