package com.neusoft.smart.pos.dto.payment.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zcf
 * @date 2018-12-26 09：52
 * @description 人脸支付初始化使用Request
 */
@Data
@ApiModel
public class PostInitFacePayRequest {

	@ApiModelProperty(name = "mcode", value = "商户号(聚合支付平台提供)", dataType = "String" ,example="NEU226104452154865",required=true)
	private String mcode;
	
	@ApiModelProperty(name = "storeId", value = "门店编号(微信使用)", dataType = "String")
	private String storeId;
	
	@ApiModelProperty(name = "storeName", value = "门店名称，由商户定义", dataType = "String")
	private String storeName;
	
	@ApiModelProperty(name = "deviceId", value = "终端设备编号，由商户定义", dataType = "String")
	private String deviceId;
	
	@ApiModelProperty(name = "zimmetainfo", value = "初始化入参", dataType = "String")
	private String zimmetainfo;
	
	@ApiModelProperty(name = "cardNo", value = "身份证号(支付宝使用)", dataType = "String")
	private String cardNo;
	
	@ApiModelProperty(name = "userName", value = "姓名(支付宝使用)", dataType = "String")
	private String userName;
	
	@ApiModelProperty(name = "bizType", value = "刷脸生活1，表明1：1身份核验场景（姓名＋身份证号）" +
			"2，表明1：N刷脸搜索， 支付宝UID入库" +
			"3，表明1：N刷脸搜索， 支付宝手机号入库" +
			"4，表明1：1身份核验场景（手机号）" +
			"默认为4(支付宝使用)", dataType = "String")
	private String bizType; //人脸支付：必填，固定写为8，表明基于姓名和身份证号的刷脸支付场景
	
	@ApiModelProperty(name = "payType", value = "支付方式@12:支付宝(人脸支付)", dataType = "String")
	private String payType;
	
	@ApiModelProperty(name = "faceType", value = "刷脸类型@1：刷脸支付@2：刷脸生活", dataType = "String")
	private String faceType;
	
	@ApiModelProperty(name = "sign", value = "签名(MD5加密字符串)", dataType = "String" ,example="5CFB108E5A9CAA78B141251BC2BD7F74",required=true)
	private String sign;
}
