package com.neusoft.smart.pos.dto.payment.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zcf
 * @date 2018-01-31 15：52
 * @description 商户支付渠道查询使用Request
 */
@Data
@ApiModel
public class GetPayChannelResponse {

	@ApiModelProperty(name = "mcode", value = "商户号", dataType = "String" ,example="1")
	private String mcode;

	@ApiModelProperty(name = "payType", value = "支付方式(@1:微信扫码支付@2:支付宝扫码支付@3:支付宝当面资金授权支付@4:银联二维码支付)", dataType = "String" ,example="1")
	private String payType;

	@ApiModelProperty(name = "appid", value = "第三方平台公众账号ID(微信支付必填)", dataType = "String" ,example="wxb2c0d57casd120d89")
	private String appid;

	@ApiModelProperty(name = "mchId", value = "第三方平台商户号(微信支付必填)", dataType = "String" ,example="123243221")
	private String mchId;

	@ApiModelProperty(name = "subAppid", value = "第三方平台子公众账号ID(微信支付必填)", dataType = "String" ,example="wxb2c0d57casd120d89")
	private String subAppid;

	@ApiModelProperty(name = "subMchId", value = "第三方平台子商户号(微信支付必填)", dataType = "String" ,example="123243221")
	private String subMchId;

	@ApiModelProperty(name = "secretKey", value = "第三方支付平台密钥(微信支付必填)", dataType = "String" ,example="SD13Jdfs")
	private String secretKey;

	@ApiModelProperty(name = "appSecretKey", value = "第三方支付平台公众号密钥(微信支付必填)", dataType = "String" ,example="SD13Jdfs")
	private String appSecretKey;

	@ApiModelProperty(name = "notifyUrl", value = "支付成功通知回调(如果为空生成预付单时必须填写回调url)", dataType = "String" ,example="http://www.aa.com")
	private String notifyUrl;

	@ApiModelProperty(name = "isEnable", value = "状态(@0：停用@1：启用)", dataType = "String" ,example="1")
	private String isEnable;

	@ApiModelProperty(name = "refundNotifyUrl", value = "退款成功通知回调(如果为空生成预付单时必须填写回调url)", dataType = "String" ,example="http://www.aa.com")
	private String refundNotifyUrl;

}
