package com.neusoft.smart.pos.dto.payment.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zcf
 * @date 2018-01-08 10：43
 * @description 订单取消使用Response
 */
@ApiModel
@Data
public class PostCancelOrderResponse {

	@ApiModelProperty(name = "mcode", value = "商户号(聚合支付平台提供)", dataType = "String" ,example="NEU226104452154865")
	private String mcode;

	@ApiModelProperty(name = "orderNumber", value = "业务系统订单号", dataType = "String" ,example="201801301122")
	private String orderNumber;

	@ApiModelProperty(name = "cancelStatus", value = "订单状态(@0:取消失败@1:取消成功", dataType = "String" ,example="1")
	private String cancelStatus;

	@ApiModelProperty(name = "sign", value = "签名(MD5加密字符串)", dataType = "String" ,example="5CFB108E5A9CAA78B141251BC2BD7F74")
	private String sign;

	public PostCancelOrderResponse() {
	}

	public PostCancelOrderResponse(String mcode, String orderNumber, String cancelStatus) {
		this.mcode = mcode;
		this.orderNumber = orderNumber;
		this.cancelStatus = cancelStatus;
	}
}
