package com.neusoft.smart.pos.dto.payment.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zcf
 * @date 2018-11-26 09：45
 * @description 授权支付成功退款使用Response
 */
@ApiModel
@Data
public class PostGrantPayRefundResponse {

	@ApiModelProperty(name = "mcode", value = "商户号(聚合支付平台提供)", dataType = "String" ,example="NEU226104452154865")
	private String mcode;

	@ApiModelProperty(name = "orderNumber", value = "业务系统订单号", dataType = "String" ,example="201801301122")
	private String orderNumber;

	@ApiModelProperty(name = "refundStatus", value = "订单状态(@0:申请退款失败@1:退款中@2:退款完成@3:订单未支付无法申请退款", dataType = "String" ,example="1")
	private String refundStatus;

	@ApiModelProperty(name = "sign", value = "签名(MD5加密字符串)", dataType = "String" ,example="5CFB108E5A9CAA78B141251BC2BD7F74")
	private String sign;

	@ApiModelProperty(name = "refundNumber", value = "退款单编号", dataType = "String")
	private String refundNumber;

	@ApiModelProperty(name = "thirdRefundNumber", value = "第三方平台退款单号", dataType = "String")
	private String thirdRefundNumber;
	
	@ApiModelProperty(name = "refundAmount", value = "退款金额(单位分)", dataType = "Long")
	private Long refundAmount;

	@ApiModelProperty(name = "payType", value = "支付方式@1:微信扫码支付@2:支付宝扫码支付@3:支付宝当面资金授权支付@4:银联二维码支付", dataType = "String")
	private String payType;

	public PostGrantPayRefundResponse() {
	}

}
