package com.neusoft.smart.pos.dto.payment.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zcf
 * @date 2018-12-26 09：45
 * @description 人脸支付初始化使用Response
 */
@ApiModel
@Data
public class PostInitFacePayResponse {

	@ApiModelProperty(name = "mcode", value = "商户号(聚合支付平台提供)", dataType = "String" ,example="NEU226104452154865")
	private String mcode;

	@ApiModelProperty(name = "sign", value = "签名(MD5加密字符串)", dataType = "String" ,example="5CFB108E5A9CAA78B141251BC2BD7F74")
	private String sign;
	
	@ApiModelProperty(name = "initStatus", value = "初始化状态@0:初始化失败@1:初始化成功", dataType = "String")
	private String initStatus;
	
	@ApiModelProperty(name = "zimId", value = "支付宝刷脸调用的标识", dataType = "String")
	private String zimId;
	
	@ApiModelProperty(name = "zimInitClientData", value = "支付宝刷脸的下发协议数据", dataType = "String")
	private String zimInitClientData;
	
	@ApiModelProperty(name = "authinfo", value = "微信SDK调用凭证。用于调用SDK的人脸识别接口。", dataType = "String")
	private String authinfo;
	
	@ApiModelProperty(name = "expiresIn", value = "微信authinfo的有效时间, 单位秒。 例如: 3600", dataType = "String")
	private String expiresIn;

	public PostInitFacePayResponse() {
	}

}
