package com.neusoft.smart.pos.dto.payment.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zcf
 * @date 2018-05-02 10：43
 * @description 资金预授权订单撤销使用Response
 */
@ApiModel
@Data
public class PostReversePayGrantResponse {

	@ApiModelProperty(name = "mcode", value = "商户号(聚合支付平台提供)", dataType = "String" ,example="NEU226104452154865")
	private String mcode;

	@ApiModelProperty(name = "orderNumber", value = "业务系统订单号", dataType = "String" ,example="201801301122")
	private String orderNumber;
	
//	@ApiModelProperty(name = "authNo", value = "支付宝资金授权订单号", dataType = "String" ,example="201801301122")
//	private String authNo;
//
//	@ApiModelProperty(name = "outerOrderNumber", value = "支付宝的冻结操作流水号", dataType = "String" ,example="201801301122")
//	private String outerOrderNumber;
	
	@ApiModelProperty(name = "reverseStatus", value = "订单状态(@1:撤销失败@2:撤销成功)", dataType = "String" ,example="1")
	private String reverseStatus;

	@ApiModelProperty(name = "sign", value = "签名(MD5加密字符串)", dataType = "String" ,example="5CFB108E5A9CAA78B141251BC2BD7F74")
	private String sign;

	public PostReversePayGrantResponse() {
	}

	public PostReversePayGrantResponse(String mcode, String orderNumber, String reverseStatus) {
		this.mcode = mcode;
		this.orderNumber = orderNumber;
		this.reverseStatus = reverseStatus;
	}
}
