package com.neusoft.smart.pos.dto.payment.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zcf
 * @date 2018-05-02 10：43
 * @description 资金预授权订单撤销使用Response
 */
@ApiModel
@Data
public class PostUnFreezePayGrantResponse {

	@ApiModelProperty(name = "mcode", value = "商户号(聚合支付平台提供)", dataType = "String" ,example="NEU226104452154865")
	private String mcode;

	@ApiModelProperty(name = "orderNumber", value = "业务系统订单号", dataType = "String" ,example="201801301122")
	private String orderNumber;
	
	@ApiModelProperty(name = "unFreezeStatus", value = "解冻状态(@1:解冻失败@2:解冻成功)", dataType = "String" ,example="1")
	private String unFreezeStatus;
	
	@ApiModelProperty(name = "unFreezeTime", value = "解冻时间YYYY-MM-DD HH:MM:SS", dataType = "String" ,example="1")
	private String unFreezeTime;
	
	@ApiModelProperty(name = "unFreezeAmount", value = "解冻金额(单位是分)", dataType = "Long" ,example="1")
	private Long unFreezeAmount;
	
	@ApiModelProperty(name = "sign", value = "签名(MD5加密字符串)", dataType = "String" ,example="5CFB108E5A9CAA78B141251BC2BD7F74")
	private String sign;

	public PostUnFreezePayGrantResponse() {
	}

	public PostUnFreezePayGrantResponse(String mcode, String orderNumber, String unFreezeStatus) {
		this.mcode = mcode;
		this.orderNumber = orderNumber;
		this.unFreezeStatus = unFreezeStatus;
	}
}
