package com.neusoft.smart.pos.dto.payorder.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author tongmg
 * @date 2020-02-13 16：43
 * @description 支付退款订单新增使用Request
 */
@Data
@ApiModel
public class PostCreatePayRefundOrderRequest {
    @ApiModelProperty(name = "mOrderNumber", value = "订单编号", dataType = "String", example = "005")
    private String mOrderNumber;

    @ApiModelProperty(name = "tradeId", value = "支付订单编号", dataType = "String", example = "005")
    private String tradeId;

    @ApiModelProperty(name = "payType", value = "支付类型", dataType = "String", example = "1")
    private String payType;

    @ApiModelProperty(name = "mcode", value = "商户号", dataType = "String", example = "1")
    private String mcode;

    @ApiModelProperty(name = "refundedAmount", value = "退款金额", dataType = "Long", example = "18.98")
    private Long refundedAmount;

    @ApiModelProperty(name = "refundNotifyUrl", value = "业务退款成功通知回调", dataType = "String", example = "")
    private String refundNotifyUrl;

    @ApiModelProperty(name = "createdBy", value = "创建者Id", dataType = "String" ,example="0001")
    public String createdBy;

    @ApiModelProperty(name = "createdAt", value = "创建时间", dataType = "String" ,example="2018-05-26 18:55:45")
    public String createdAt;

    private String thirdRefundNumber;

    private String refundNumber;

    private String refundStatus;

    private Date refundedTime;

    private String requestDetailInfo;

    private String resultDetailInfo;

}
