package com.neusoft.smart.pos.dto.payorder.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author tongmg
 * @date 2019-12-12 16：43
 * @description 支付退款使用Request
 */
@Data
@ApiModel
public class PutDoRefundRequest {

    @ApiModelProperty(name = "serialNo", value = "设备序列号", dataType = "String" ,example="15554512555")
    private String serialNo;

    @ApiModelProperty(name = "orderNumber", value = "订单编号", dataType = "String", example = "005")
    private String orderNumber;

    @ApiModelProperty(name = "payType", value = "支付类型", dataType = "String", example = "1")
    private String payType;

    @ApiModelProperty(name = "refundedAmount", value = "退款金额", dataType = "Long", example = "18.98")
    private Long refundedAmount;

    @ApiModelProperty(name = "payRefundOrderNumber", value = "退款支付订单编号", dataType = "String", example = "005")
    private String payRefundOrderNumber;

    @ApiModelProperty(name = "refundNumber", value = "商户退单流水编号", dataType = "String" ,example="201834062066780")
    private String refundNumber;
}
