package com.neusoft.smart.pos.dto.payorder.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;

/**
 * @author cai.ying
 * @date 2020-03-16 09：52
 * @description 支付订单取消使用Request
 */
@Data
@ApiModel
public class PutReversePayOrderRequest {

	@NotNull(message = "支付订单编号不能为空")
	@NotEmpty(message = "支付订单编号不能为空")
	@ApiModelProperty(name = "tradeId", value = "支付订单编号", dataType = "String" ,required=true)
	private String tradeId;

	@NotNull(message = "POS机sn不能为空")
	@NotEmpty(message = "POS机sn不能为空")
	@ApiModelProperty(name = "serialNo", value = "POS机sn", dataType = "String",required=true ,example="NSPSA110GW174920065")
	private String serialNo;

}
