package com.neusoft.smart.pos.dto.payorder.response;

import com.neusoft.smart.pos.framework.utils.LocalDateTimeUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author tongmg
 * @date 2019-12-12 10：43
 * @description 支付订单支付结果Response
 */
@ApiModel
@Data
@NoArgsConstructor
public class PostPayOrderResponse {

    @ApiModelProperty(name = "tradeId", value = "支付订单编号", dataType = "String", example = "005")
    private String tradeId;

    @ApiModelProperty(name = "mOrderNumber", value = "订单编号", dataType = "String", example = "005")
    private String mOrderNumber;

    @ApiModelProperty(name = "payType", value = "支付类型", dataType = "String", example = "1")
    private String payType;

    @ApiModelProperty(name = "payAmount", value = "支付金额", dataType = "Long", example = "18.98")
    private Long payAmount;

    @ApiModelProperty(name = "payTime", value = "支付时间", dataType = "String" ,example="2018-05-26 18:55:45")
    public String payTime;

    @ApiModelProperty(name = "createdBy", value = "创建者Id", dataType = "String" ,example="0001")
    public String createdBy;

//    @ApiModelProperty(name = "createdAt", value = "创建时间", dataType = "String" ,example="2018-05-26 18:55:45")
//    public String createdAt;
//
//    public void setCreatedAt(Date createdAt) {
//        this.createdAt = LocalDateTimeUtils.convertLocalDateTimeToString(LocalDateTimeUtils.convertDateToLocalDateTime(createdAt),LocalDateTimeUtils.DEFAULT_DATETIME_FORMAT);
//    }
}
