package com.neusoft.smart.pos.dto.payorder.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author tongmg
 * @date 2020-02-13 10：43
 * @description 支付退款订单创建Response
 */
@ApiModel
@Data
@NoArgsConstructor
public class PostPayRefundOrderResponse {
    @ApiModelProperty(name = "tradeId", value = "支付退款订单Id", dataType = "String", example = "153378212443828177")
    private String tradeId;

    @ApiModelProperty(name = "mOrderNumber", value = "订单编号", dataType = "String", example = "005")
    private String mOrderNumber;

    @ApiModelProperty(name = "outerOrderNumber", value = "外部订单编号", dataType = "String", example = "005")
    private String outerOrderNumber;

    @ApiModelProperty(name = "payType", value = "支付类型", dataType = "String", example = "1")
    private String payType;

    @ApiModelProperty(name = "mcode", value = "商户号", dataType = "String", example = "NEU181408840817")
    private String mcode;

    @ApiModelProperty(name = "refundedAmount", value = "退款金额", dataType = "Long", example = "18.98")
    private Long refundedAmount;

    @ApiModelProperty(name = "refundNotifyUrl", value = "业务退款成功通知回调", dataType = "String", example = "http://fmneupos.malls.iformall.com:18080/service-trade/payNotify/refundSuccessNotify")
    private String refundNotifyUrl;

    @ApiModelProperty(name = "createdBy", value = "创建者Id", dataType = "String" ,example="0001")
    public String createdBy;

    @ApiModelProperty(name = "createdAt", value = "创建时间", dataType = "String" ,example="2018-05-26 18:55:45")
    public String createdAt;

    @ApiModelProperty(name = "thirdRefundNumber", value = "第三方支付平台退单流水编号", dataType = "String" ,example="50000707692018080905936343808")
    private String thirdRefundNumber;

    @ApiModelProperty(name = "refundNumber", value = "商户退单流水编号", dataType = "String" ,example="201834062066780")
    private String refundNumber;

    @ApiModelProperty(name = "refundStatus", value = "退款状态", dataType = "String" ,example="1")
    private String refundStatus;

    @ApiModelProperty(name = "refundedTime", value = "退款时间", dataType = "String" ,example="2018-05-26 18:55:45")
    private Date refundedTime;

    private String payRefundOrderNumber;
}
