package com.neusoft.smart.pos.dto.promotion.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class PromotionPayChannelRequest {
    
    private Integer id;
    
    @NotNull(message = "设支付渠道不可为空")
    @ApiModelProperty(name = "payChannel", value = "支付渠道", dataType = "Integer", example = "1", required = true)
    private Integer payChannel;
    
    private Integer storeId;
    
    private Integer orgId;
    
    private BigDecimal discount;
    
    private Integer purchaseMoney;
    
    private Integer moneyOff;
    
    @NotNull(message = "营销类型不可为空")
    @ApiModelProperty(name = "offType", value = "营销类型 ", dataType = "Integer", example = "0", required = true)
    private Integer offType;
    
    private Date createTime;
    
    private Integer createBy;
    
}