package com.neusoft.smart.pos.dto.promotion.response;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class GetPreferentialPriceResponse {
	
	private BigDecimal totalPrice;
	
	private BigDecimal actualPrice;
	
	private List<OrderPreferentialItem> orderPreferentialItems;
	
	@Data
	public static class OrderPreferentialItem {
		
		@ApiModelProperty(name = "itemNumber", value = "商品编号", dataType = "String", example = "368685208641077248")
		private String itemNumber;
		
		@ApiModelProperty(name = "itemName", value = "商品名称", dataType = "String", example = "大盘鸡")
		private String itemName;
		
		@ApiModelProperty(name = "unitPrice", value = "商品单价", dataType = "Long", example = "18.98")
		private BigDecimal unitPrice;
		
		@ApiModelProperty(name = "quantity", value = "商品数量", dataType = "BigDecimal", example = "5")
		private BigDecimal quantity;
		
		@ApiModelProperty(name = "categoryName", value = "商品所属类别名称", dataType = "String", example = "凉菜")
		private String categoryName;
		
		@ApiModelProperty(name = "categoryNumber", value = "商品所属类别编号", dataType = "String", example = "10")
		private String categoryNumber;
		
		@ApiModelProperty(name = "preferentialUnitPrice", value = "商品优惠单价", dataType = "Long", example = "18.98")
		private BigDecimal preferentialUnitPrice;
	}
}
