package com.neusoft.smart.pos.dto.trade.request;

import com.neusoft.smart.pos.dto.AbstractQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zcf
 * @date 2018-12-03 09：52
 * @description 预授权订单列表查询使用Request
 */
@Data
@ApiModel
public class GetGrantOrdersRequest extends AbstractQuery {
	
	@ApiModelProperty(name = "serialNo", value = "设备序列号", dataType = "String" ,example="15554512555")
	private String serialNo;
	
	@ApiModelProperty(name = "grantOrderNumber", value = "资金预授权订单编号", dataType = "String")
	private String grantOrderNumber;
	
	@ApiModelProperty(name = "grantStatus", value = "授权状态@1:授权处理中@2:已授权@3:已解冻@4:已撤销@5:授权转支付@6:已退款", dataType = "String" ,example="1")
	private String grantStatus;
	
	@ApiModelProperty(name = "startTime", value = "开始日期(大于等于)", dataType = "String" ,example="2018-01-01 23;11;23")
	private String startTime;
	
	@ApiModelProperty(name = "endTime", value = "结束日期(小于等于)", dataType = "String" ,example="2018-01-01 23;11;23")
	private String endTime;
}
