package com.neusoft.smart.pos.dto.trade.request;

import com.neusoft.smart.pos.dto.AbstractQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author zcf
 * @date 2018-03-05 09：52
 * @description 商户门店日报统计查询使用Request
 */
@Data
@ApiModel
public class GetMemberOrdersRequest extends AbstractQuery {

	@ApiModelProperty(name = "mcode", value = "商户号", dataType = "String" ,required=true ,example="1")
	private String mcode;

	@ApiModelProperty(name = "sign", value = "签名", dataType = "String" ,example="12121")
	private String sign;
	
	@ApiModelProperty(name = "memberCardNo", value = "东软员工号", dataType = "String" ,example="12121")
	private String memberCardNo;
	
	@ApiModelProperty(name = "orderType", value = "订单类型@1正常订单@3会员卡充值订单", dataType = "String" ,example="12121")
	private String orderType;
	
	@ApiModelProperty(name = "startTime", value = "开始日期(大于等于)", dataType = "String" ,example="2018-01-01")
	private String startTime;

	@ApiModelProperty(name = "endTime", value = "结束日期(小于等于)", dataType = "String" ,example="2018-01-20")
	private String endTime;

}
