package com.neusoft.smart.pos.dto.trade.request;

import com.neusoft.smart.pos.dto.AbstractQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author zcf
 * @date 2018-06-28 09：52
 * @description 菜品查询员工使用Request
 */
@Data
@ApiModel
public class GetOrderMembersRequest extends AbstractQuery {

	@ApiModelProperty(name = "orgId", value = "集团编号", dataType = "Integer" ,required=true ,example="1")
	private Integer orgId;

	@ApiModelProperty(name = "shopId", value = "门店编号", dataType = "List" ,example="1")
	private Integer shopId;

	@ApiModelProperty(name = "itemName", value = "会员名称、员工姓名", dataType = "String" ,example="1")
	private String itemName;

	@ApiModelProperty(name = "startTime", value = "开始日期(大于等于)", dataType = "String" ,example="2018-05-24 15:01:11")
	private String startTime;

	@ApiModelProperty(name = "endTime", value = "结束日期(小于等于)", dataType = "String" ,example="2018-05-24 15:01:11")
	private String endTime;

}
