package com.neusoft.smart.pos.dto.trade.request;

import com.neusoft.smart.pos.dto.AbstractQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author zcf
 * @date 2018-03-12 13：58
 * @description 商户门店交易占比统计查询使用Request
 */
@Data
@ApiModel
public class GetPayChannelProportionRequest {

	@ApiModelProperty(name = "orgId", value = "集团编号", dataType = "Integer" ,required=true ,example="1")
	private Integer orgId;

	@ApiModelProperty(name = "shopId", value = "门店编号", dataType = "Integer" ,example="1")
	private Integer shopId;

	@ApiModelProperty(name = "startTime", value = "开始日期(大于等于)", dataType = "String" ,example="2018-01-01")
	private String startTime;

	@ApiModelProperty(name = "endTime", value = "结束日期(小于等于)", dataType = "String" ,example="2018-01-20")
	private String endTime;

}
