package com.neusoft.smart.pos.dto.trade.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author zcf
 * @date 2018-01-08 09：52
 * @description 商户支付渠道查询使用Request
 */
@Data
@ApiModel
public class GetPayChannelRequest {
	
	@ApiModelProperty(name = "serialNo", value = "POS机sn", dataType = "String",required=true ,example="NSPSA110GW174920065")
	private String serialNo;
	
	@ApiModelProperty(name = "shopId", value = "门店编号", dataType = "Integer" ,required=true)
	private Integer shopId;

	@NotNull(message = "支付方式不能为空")
	@ApiModelProperty(name = "payType", value = "付款方式编号@1:微信支付@2:支付宝支付@3:银行卡支付@4:微信转账@:5支付宝转账@6:现金支付@7:会员卡支付@8:当面资金授权支付@9:银联二维码支付", dataType = "String"  ,required=true)
	private String payType;

}
