package com.neusoft.smart.pos.dto.trade.request;

import com.neusoft.smart.pos.dto.AbstractQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;

/**
 * @author zcf
 * @date 2018-03-13 13：58
 * @description POS端交易流水查询使用Request
 */
@Data
@ApiModel
public class GetShopOrderDetailsForPosRequest extends AbstractQuery {

	@NotNull(message = "POS机SN编号不能为空")
	@NotEmpty(message = "POS机SN编号不能为空")
	@ApiModelProperty(name = "serialNo", value = "POS机SN编号", dataType = "String" ,required=true ,example="NSPSA110GW174920065")
	private String serialNo;

	@NotNull(message = "查询时间不能为空")
	@NotEmpty(message = "查询时间不能为空")
	@ApiModelProperty(name = "dateTime", value = "查询时间", dataType = "String" ,example="2018-01-03")
	private String dateTime;

	@ApiModelProperty(name = "timeMode", value = "时间筛选方式@1:按开始及结束时间查询@2:按年月日查询(默认)", dataType = "String" ,example="2018-01-03")
	private String timeMode = "2";

	@ApiModelProperty(name = "startTime", value = "开始日期", dataType = "String" ,example="2018-01-03")
	private String startTime;

	@ApiModelProperty(name = "endTime", value = "结束日期", dataType = "String" ,example="2018-01-03")
	private String endTime;

}
