package com.neusoft.smart.pos.dto.trade.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author zcf
 * @date 2018-03-05 09：52
 * @description 商户门店交易统计查询使用Response
 */
@ApiModel
@Data
public class GetShopTradeSummaryRequest {

	@ApiModelProperty(name = "orgId", value = "集团ID", dataType = "Integer" ,example="1")
	public Integer orgId;

	@ApiModelProperty(name = "shopIds", value = "门店ID列表", dataType = "List" ,example="1")
	public List<Integer> shopIds;

	@ApiModelProperty(name = "startTime", value = "开始日期(大于等于)", dataType = "String" ,example="2018-01-01")
	private String startTime;

	@ApiModelProperty(name = "endTime", value = "结束日期(小于等于)", dataType = "String" ,example="2018-01-20")
	private String endTime;

	@ApiModelProperty(name = "dateTime", value = "年月时间", dataType = "String" ,example="2018-01")
	private String dateTime;

	@NotNull(message = "时间模式不能为空")
	@ApiModelProperty(name = "timeMode", value = "时间模式(@1:按开始及结束时间查询@2:按年月查询)", dataType = "String" ,example="1",required=true)
	private String timeMode;
}
