package com.neusoft.smart.pos.dto.trade.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;

/**
 * @author zcf
 * @date 2018-01-08 09：52
 * @description 订单支付状态查询使用Request
 */
@Data
@ApiModel
public class GetWxOrderPayStatusRequest {

	@ApiModelProperty(name = "orgId", value = "集团编号", dataType = "Integer")
	private Integer orgId;

	@ApiModelProperty(name = "shopId", value = "门店编号", dataType = "Integer")
	private Integer shopId;

//	@Length(max=15,message = "订单编号不合法")
	@NotNull(message = "订单编号不能为空")
	@NotEmpty(message = "订单编号不能为空")
	@ApiModelProperty(name = "orderNumber", value = "订单编号", dataType = "String" ,required=true)
	private String orderNumber;

}
