package com.neusoft.smart.pos.dto.trade.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zcf
 * @date 2018-11-28 10：43
 * @description 第三方支付预授权订单生成使用Request对象
 */
@Data
public class PostGenerateGrantOrderRequest {
	
	private String mcode;	//商户号(聚合支付平台提供)
	private String payType;	//支付方式(@3:支付宝当面资金授权支付)
	private Long orderAmount;	//支付金额,单位分,不能包含小数
	private String orderNumber;	//业务系统订单号(在业务系统中唯一)
	private String timeExpire;	//订单失效时间，格式为yyyyMMddHHmmss，有效时间至少5分钟,如果为空默认为2小时
	private String description;	//订单描述
	private String notifyUrl;	//支付成功回调url(如果为空则使用商户号默认配置)
	private String scanCode;	//被扫支付码
//	private String ip;	//ip地址
	private String sign;	//签名(MD5加密字符串)
	
}
