package com.neusoft.smart.pos.dto.trade.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zcf
 * @date 2018-01-22 10：43
 * @description 第三方支付单生成使用Request对象
 */
@Data
public class PostGenerateOrderRequest {
	
	private String mcode;	//商户号(聚合支付平台提供)
	private String payType;	//支付方式(@1:微信扫码支付@2:支付宝扫码支付@3:支付宝当面资金授权支付@4:银联二维码支付)
	private Long orderAmount;	//支付金额,单位分,不能包含小数
    private Long leftAmount;    //交易订单剩余未支付金额，单位分,不能包含小数
	private String orderNumber;	//业务系统订单号(在业务系统中唯一)
	private String tradeId;	//交易订单ID
	private String timeExpire;	//订单失效时间，格式为yyyyMMddHHmmss，有效时间至少5分钟,如果为空默认为2小时
	private String description;	//订单描述
	private String notifyUrl;	//支付成功回调url(如果为空则使用商户号默认配置)
	private String tradeType;	//交易类型，只对微信支付有效
	private String ip;	//客户端IP地址
	private String scanCode;	//被扫支付码
	private String openId;	//用户openId
	private String deviceId;    //设备sn
	private String storeId; //支付宝开放平台门店编号
	private String pid;     //
	private String sign;	//签名(MD5加密字符串)
	private String payInfoJsonString;	//第三方支付所需信息

}
