package com.neusoft.smart.pos.dto.trade.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author zcf
 * @date 2018-11-28 10：43
 * @description 资金预授权订单新增使用Request
 */
@Data
@ApiModel
public class PostGrantOrderRequest {

	@ApiModelProperty(name = "serialNo", value = "设备序列号", dataType = "String" ,example="15554512555")
	private String serialNo;

	@ApiModelProperty(name = "grantAmount", value = "授权总金额", dataType = "Long", example = "18.98")
	private BigDecimal grantAmount;

	@ApiModelProperty(name = "payType", value = "付款方式编号@8:当面资金授权支付", dataType = "String" ,example="8")
	private String payType;

	@ApiModelProperty(name = "scanCode", value = "被扫支付码", dataType = "String" ,example="1")
	private String scanCode;

	@ApiModelProperty(name = "remark", value = "描述", dataType = "String" ,example="1")
	private String remark;

}
