package com.neusoft.smart.pos.dto.trade.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;

/**
 * @author zcf
 * @date 2018-01-08 09：52
 * @description 订单支付状态查询使用Request
 */
@Data
@ApiModel
public class PostInitFacePayRequest {

	@NotNull(message = "POS机sn不能为空")
	@NotEmpty(message = "POS机sn不能为空")
	@ApiModelProperty(name = "serialNo", value = "POS机sn", dataType = "String",required=true ,example="NSPSA110GW174920065")
	private String serialNo;
	
	@ApiModelProperty(name = "zimmetainfo", value = "初始化入参", dataType = "String")
	private String zimmetainfo;
	
	@ApiModelProperty(name = "cardNo", value = "身份证号", dataType = "String")
	private String cardNo;
	
	@ApiModelProperty(name = "userName", value = "姓名", dataType = "String")
	private String userName;
	
	@ApiModelProperty(name = "payType", value = "支付方式@26:支付宝(人脸支付)", dataType = "String")
	private String payType;
	
	@ApiModelProperty(name = "storeId", value = "门店编号(微信使用)", dataType = "String")
	private String storeId;
	
	@ApiModelProperty(name = "storeName", value = "门店名称，由商户定义", dataType = "String")
	private String storeName;
	
	@ApiModelProperty(name = "deviceId", value = "终端设备编号，由商户定义", dataType = "String")
	private String deviceId;
}
