package com.neusoft.smart.pos.dto.trade.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import jdk.nashorn.internal.ir.annotations.Ignore;
import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;
import springfox.documentation.annotations.ApiIgnore;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author zcf
 * @date 2018-01-08 10：43
 * @description 订单新增使用Request
 */
@Data
@ApiModel
public class PostOrderRequest {
	
	@ApiModelProperty(name = "serialNo", value = "设备序列号", dataType = "String" ,example="15554512555")
	private String serialNo;

	@ApiModelProperty(name = "orderDetails", value = "购买商品明细", dataType = "list")
	private List<PostOrderDetailRequest> orderDetails;

	@ApiModelProperty(name = "orderAmount", value = "订单总金额", dataType = "Long", example = "18.98")
	private BigDecimal orderAmount;

	@ApiModelProperty(name = "memberCardNo", value = "会员卡号", dataType = "String" ,example="52525005")
	private String memberCardNo;

	@ApiModelProperty(name = "discountAmount", value = "订单优惠金额", dataType = "BigDecimal" ,example="0.00")
	public BigDecimal discountAmount;

	@ApiModelProperty(name = "discountRate", value = "订单优惠率", dataType = "BigDecimal" ,example="0.00")
	public BigDecimal discountRate;

}
