package com.neusoft.smart.pos.dto.trade.request;

import com.neusoft.smart.pos.dto.AbstractQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;

/**
 * @author zcf
 * @date 2018-03-14 09：06
 * @description POS端交易退款申请使用Request
 */
@Data
@ApiModel
public class PostRefundRequest {

	@NotNull(message = "POS机sn不能为空")
	@NotEmpty(message = "POS机sn不能为空")
	@ApiModelProperty(name = "serialNo", value = "POS机sn", dataType = "String",required=true ,example="NSPSA110GW174920065")
	private String serialNo;

	@NotNull(message = "订单编号不能为空")
	@NotEmpty(message = "订单编号不能为空")
	@ApiModelProperty(name = "orderNumber", value = "订单编号", dataType = "String" ,required=true ,example="815769993924")
	private String orderNumber;

	@ApiModelProperty(name = "refundOrderNumber", value = "退款订单编号", dataType = "String" ,example="815769993924")
	private String refundOrderNumber;

	@ApiModelProperty(name = "thirdPartyInfoJsonString", value = "第三方所需信息", dataType = "String" ,example="{}")
	private String thirdPartyInfoJsonString;	//第三方所需信息

}
