package com.neusoft.smart.pos.dto.trade.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author zcf
 * @date 2018-11-28 10：43
 * @description 第三方支付预授权订单解冻使用Request对象
 */
@Data
public class PostUnFreezeGrantRequest {
	
	@ApiModelProperty(name = "serialNo", value = "设备序列号", dataType = "String" ,example="15554512555")
	private String serialNo;
	
	@ApiModelProperty(name = "grantOrderNumber", value = "授权订单编号", dataType = "String" ,required=true)
	private String grantOrderNumber;
	
	@ApiModelProperty(name = "unFreezeAmount", value = "解冻金额单位是元(为空表示全部解冻)", dataType = "BigDecimal")
	private BigDecimal unFreezeAmount;
	
}
