package com.neusoft.smart.pos.dto.trade.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author zcf
 * @date 2018-01-08 10：43
 * @description 订单新增使用Request
 */
@Data
@ApiModel
public class PostUnionPayOrderRequest {

	@ApiModelProperty(name = "serialNo", value = "设备序列号", dataType = "String" ,example="15554512555")
	private String serialNo;
	
	@ApiModelProperty(name = "orderNumber", value = "订单编号", dataType = "String" ,example="005")
	private String orderNumber;
	
	@ApiModelProperty(name = "orderDetails", value = "购买商品明细", dataType = "list")
	private List<PostOrderDetailRequest> orderDetails;

	@ApiModelProperty(name = "orderAmount", value = "订单总金额", dataType = "Long", example = "18.98")
	private BigDecimal orderAmount;

	@ApiModelProperty(name = "memberCardNo", value = "会员卡号", dataType = "String" ,example="52525005")
	private String memberCardNo;

	@ApiModelProperty(name = "hardwareCardNo", value = "会员卡内号（HID etc.）", dataType = "String" ,example="52525005")
	private String hardwareCardNo;

	@ApiModelProperty(name = "payType", value = "付款方式编号@1:微信支付@2:支付宝支付@3:银行卡支付@4:微信转账@:5支付宝转账@6:现金支付@7:会员卡支付@8:当面资金授权支付@9:银联二维码支付@10:饭卡(易石)@11:人脸支付@12:微信支付(服务商)@13:饭卡(沈阳食堂)@18:一码付@21:微信支付(甘肃银行)@22:支付宝(甘肃银行)@23:银行卡(银商)@24:银行卡(付临门)", dataType = "String" ,example="1")
	private String payType;

	@ApiModelProperty(name = "scanCode", value = "被扫支付码", dataType = "String" ,example="1123123")
	private String scanCode;
	
	@ApiModelProperty(name = "openId", value = "微信人脸支付使用openId", dataType = "String" ,example="1123123")
	private String openId;
	
	@ApiModelProperty(name = "discountAmount", value = "订单优惠金额", dataType = "BigDecimal" ,example="0.00")
	public BigDecimal discountAmount;

	@ApiModelProperty(name = "discountRate", value = "订单优惠率", dataType = "BigDecimal" ,example="0.00")
	public BigDecimal discountRate;


}
