package com.neusoft.smart.pos.dto.trade.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author zcf
 * @date 2018-04-08 10：43
 * @description 微信订单新增使用Request
 */
@Data
@ApiModel
public class PostWxOrderRequest  {

	@NotNull(message = "集团编号不能为空")
	@ApiModelProperty(name = "orgId", value = "集团编号", dataType = "Integer" ,required=true)
	private Integer orgId;

	@NotNull(message = "门店编号不能为空")
	@ApiModelProperty(name = "shopId", value = "门店编号", dataType = "Integer" ,required=true)
	private Integer shopId;

	@NotEmpty(message = "桌号不能为空")
	@ApiModelProperty(name = "locationNo", value = "位置编号(如桌号等)", dataType = "String" ,example="005",required=true)
	private String locationNo;

	@ApiModelProperty(name = "orderDetails", value = "购买商品明细", dataType = "list")
	private List<PostOrderDetailRequest> orderDetails;

	@ApiModelProperty(name = "orderAmount", value = "订单总金额", dataType = "Long", example = "18.98")
	private BigDecimal orderAmount;

	@ApiModelProperty(name = "remark", value = "描述", dataType = "String" ,example="1")
	private String remark;

	@ApiModelProperty(name = "discountAmount", value = "订单优惠金额", dataType = "BigDecimal" ,example="0.00")
	public BigDecimal discountAmount;

	@ApiModelProperty(name = "discountRate", value = "订单优惠率", dataType = "BigDecimal" ,example="0.00")
	public BigDecimal discountRate;
}
