package com.neusoft.smart.pos.dto.trade.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;

/**
 * @author zcf
 * @date 2018-05-08 10：43
 * @description 第三方支付单生成使用Request
 */
@Data
@ApiModel
public class PostWxPayOrderRequest {

	@NotNull(message = "订单编号不能为空")
	@NotEmpty(message = "订单编号不能为空")
	@ApiModelProperty(name = "orderNumber", value = "订单编号", dataType = "String" ,example="815339586216",required=true)
	private String orderNumber;

	@ApiModelProperty(name = "code", value = "微信授权code", dataType = "String" ,example="815339586216",required=true)
	private String code;

}
