package com.neusoft.smart.pos.dto.trade.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;

/**
 * @author zcf
 * @date 2018-11-01 09：52
 * @description 账单归档状态更新使用Request
 */
@Data
@ApiModel
public class PutBillAcceptRequest {

	@NotEmpty(message = "账单编号不能为空")
	@ApiModelProperty(name = "billNumber", value = "账单编号", dataType = "String" ,required=true)
	private String billNumber;
	
	@ApiModelProperty(name = "shopId", value = "门店ID", dataType = "Integer")
	private Integer shopId = 0;

}
