package com.neusoft.smart.pos.dto.trade.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author zcf
 * @date 2018-11-16 16：23
 * @description 商户结算规则信息保存使用Request
 */
@Data
@ApiModel
@NoArgsConstructor
public class PutBillRuleRequest implements Serializable {
	
	@NotNull(message = "规则ID不能为空")
	@ApiModelProperty(name = "ruleId", value = "规则ID", dataType = "Integer" ,required=true)
	private Integer ruleId;
	
	@ApiModelProperty(name = "rateStartTime", value = "分润开始时间", dataType = "String")
	private String rateStartTime;
	
	@ApiModelProperty(name = "rateEndTime", value = "分润结束时间", dataType = "String")
	private String rateEndTime;
	
	@ApiModelProperty(name = "sortNo", value = "排序号", dataType = "Integer")
	private Integer sortNo;
	
	@ApiModelProperty(name = "ruleStatus", value = "规则状态@1:生效@2:失效", dataType = "String")
	private String ruleStatus;
	
	@ApiModelProperty(name = "remark", value = "备注", dataType = "String")
	private String remark;
	
	@ApiModelProperty(name = "billRuleDetailList", value = "结算规则主体列表", dataType = "List")
	private List<PutBillRuleDetailRequest> billRuleDetailList;
}
