package com.neusoft.smart.pos.dto.trade.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author zcf
 * @date 2018-11-16 16：23
 * @description 商户结算周期信息保存使用Request
 */
@Data
@ApiModel
public class PutBillSettlementCycleRequest implements Serializable {
	
	@NotNull(message = "集团周期类型不能为空")
	@ApiModelProperty(name = "cycleType", value = "周期类型@1:月结@2:年结@3:季结@4:周结", dataType = "String" ,required=true)
	private String cycleType;

	@NotNull(message = "结算账单日类型不能为空")
	@ApiModelProperty(name = "billDayType", value = "结算账单日类型@1:自然日@2:结算周期最后一日", dataType = "String" ,required=true)
	private String billDayType;

	@ApiModelProperty(name = "billDay", value = "结算账单日(1-28天)", dataType = "Integer")
	private Integer billDay;

	@ApiModelProperty(name = "billTime", value = "结算账单日时间(00-24时)", dataType = "Integer")
	private Integer billTime;
	
	@ApiModelProperty(name = "remark", value = "备注", dataType = "String")
	private String remark;

	public PutBillSettlementCycleRequest() {
	}
}
