package com.neusoft.smart.pos.dto.trade.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;

/**
 * @author zcf
 * @date 2018-04-12 09：52
 * @description 会员卡支付使用Request
 */
@Data
@ApiModel
public class PutMemberCardPayRequest {

	@NotEmpty(message = "POS机sn不能为空")
	@ApiModelProperty(name = "serialNo", value = "POS机sn", dataType = "String",required=true ,example="NSPSA110GW174920065")
	private String serialNo;

	@NotEmpty(message = "签名不能为空")
	@ApiModelProperty(name = "sign", value = "签名",example="0123456789ABCDEF0123456789ABCDEF0123456789ABCDEF0123456789ABCDEF", dataType = "String" ,required=true)
	private String sign;

	@NotNull(message = "订单编号不能为空")
	@ApiModelProperty(name = "orderNumber", value = "订单编号",example="815326740687", dataType = "String" ,required=true)
	private String orderNumber;



	@ApiModelProperty(name = "memberCardNo",example="22255446", value = "会员卡号", dataType = "String")
	private String memberCardNo;

	@ApiModelProperty(name = "hardwareCardNo",example="22255446", value = "会员卡内号", dataType = "String")
	private String hardwareCardNo;

	@ApiModelProperty(name = "memberCardPassword",example="123456", value = "会员卡密码", dataType = "String")
	private String memberCardPassword;
}
