package com.neusoft.smart.pos.dto.trade.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;

/**
 * @author zcf
 * @date 2018-01-08 09：52
 * @description 订单支付成功状态更新使用Request
 */
@Data
@ApiModel
public class PutOrderPaySuccessRequest {

	@NotNull(message = "POS机sn不能为空")
	@NotEmpty(message = "POS机sn不能为空")
	@ApiModelProperty(name = "serialNo", value = "POS机sn", dataType = "String",required=true ,example="NSPSA110GW174920065")
	private String serialNo;

	@ApiModelProperty(name = "sign", value = "签名",example="0123456789ABCDEF0123456789ABCDEF0123456789ABCDEF0123456789ABCDEF", dataType = "String" ,required=true)
	private String sign;

	@NotNull(message = "订单编号不能为空")
	@ApiModelProperty(name = "orderNumber", value = "订单编号",example="815326740687", dataType = "String" ,required=true)
	private String orderNumber;

	@NotNull(message = "支付方式编号不能为空")
	@ApiModelProperty(name = "payType",example="6", value = "付款方式编号@1:微信支付@2:支付宝支付@3:银行卡支付@4:微信转账@:5支付宝转账@6:现金支付@7:会员卡支付@8:当面资金授权支付@9:银联二维码支付", dataType = "String" ,required=true)
	private String payType;

	@ApiModelProperty(name = "retrvlRefNo",example="6123123121", value = "原交易参考号(银行卡支付专用)", dataType = "String")
	private String retrvlRefNo;

	@ApiModelProperty(name = "oriTraceNo",example="231321315", value = "原交易凭证号(银行卡支付专用)", dataType = "String")
	private String oriTraceNo;

	@ApiModelProperty(name = "transDate",example="0426", value = "交易完成时间(银行卡支付专用)", dataType = "String")
	private String transDate;

	@ApiModelProperty(name = "oriBatchNo",example="0426", value = "交易原批次号(银行卡支付专用)", dataType = "String")
	private String oriBatchNo;
}
