package com.neusoft.smart.pos.dto.trade.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author zcf
 * @date 2018-01-08 09：52
 * @description 订单获赠积分更新使用Request
 */
@Data
@ApiModel
public class PutOrderScoreRequest {

	@NotEmpty(message = "订单编号不能为空")
	@ApiModelProperty(name = "orderNumber", value = "订单编号", dataType = "String" ,required=true)
	private String orderNumber;

	@NotNull(message = "积分不能为空")
	@ApiModelProperty(name = "score", value = "订单获赠积分", dataType = "String",required=true ,example="100")
	private Integer score;

	@ApiModelProperty(name = "isPay", value = "是否更新支付状态@true更新@false不更新", dataType = "bool" ,example="true")
	private Boolean isPay = false;

	@ApiModelProperty(name = "paidTime", value = "支付时间", dataType = "Date" ,example="true")
	private Date paidTime;
	
	@ApiModelProperty(name = "balance", value = "会员卡余额", dataType = "Double" )
	private BigDecimal balance;

}
