package com.neusoft.smart.pos.dto.trade.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;

/**
 * @author zcf
 * @date 2018-01-08 09：52
 * @description 商户支付渠道更新使用Request
 */
@Data
@ApiModel
public class PutPayChannelDisableRequest {

	@ApiModelProperty(name = "shopId", value = "门店编号", dataType = "Integer" ,required=true)
	private Integer shopId;

	@NotNull(message = "支付方式编号不能为空")
	@NotEmpty(message = "支付方式编号不能为空")
	@ApiModelProperty(name = "payType", value = "支付方式编号", dataType = "String" ,required=true)
	private String payType;

}
