package com.neusoft.smart.pos.dto.trade.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;

/**
 * @author zcf
 * @date 2018-05-07 09：52
 * @description 订单取消使用Request
 */
@Data
@ApiModel
public class PutReverseOrderRequest {

	@NotNull(message = "订单编号不能为空")
	@NotEmpty(message = "订单编号不能为空")
	@ApiModelProperty(name = "orderNumber", value = "订单编号", dataType = "String" ,required=true)
	private String orderNumber;

	@NotNull(message = "POS机sn不能为空")
	@NotEmpty(message = "POS机sn不能为空")
	@ApiModelProperty(name = "serialNo", value = "POS机sn", dataType = "String",required=true ,example="NSPSA110GW174920065")
	private String serialNo;

}
