package com.neusoft.smart.pos.dto.trade.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author zcf
 * @date 2018-02-28 16：23
 * @description 商户结算信息更新使用Request
 */
@Data
@ApiModel
public class PutSettlementRequest implements Serializable {

	@NotNull(message = "集团编号不能为空")
	@ApiModelProperty(name = "orgId", value = "集团编号", dataType = "Integer" ,required=true)
	private Integer orgId;

	@NotNull(message = "门店编号不能为空")
	@ApiModelProperty(name = "shopId", value = "门店编号", dataType = "Integer" ,required=true)
	private Integer shopId;

	@NotNull(message = "结算类型不能为空")
	@ApiModelProperty(name = "settlementType", value = "结算类型@1:集团结算@2:门店结算", dataType = "String",required=true )
	private String settlementType;

	public PutSettlementRequest() {
	}
}
