package com.neusoft.smart.pos.dto.trade.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @author zcf
 * @date 2018-02-28 16：20
 * @description 商户未结算信息查询使用Response
 */
@Data
@ApiModel
@NoArgsConstructor
public class GetAcceptBillsResponse implements Serializable {
    
    @ApiModelProperty(name = "billMonthList", value = "账单月份列表", dataType = "list")
    private List<BillMonthDetail> billMonthList = new ArrayList<>();
    
    @Data
    @ApiModel
    public static class BillMonthDetail{
    
        @ApiModelProperty(name = "month", value = "月份(2018-11)", dataType = "list")
        private String month;
        
        @ApiModelProperty(name = "monthName", value = "月份名称(2018-11)", dataType = "list")
        private String monthName;
        
        @ApiModelProperty(name = "billList", value = "账单列表", dataType = "list")
        private List<GetBillResponse> billList = new ArrayList<>();
    }
}