package com.neusoft.smart.pos.dto.trade.response;

import com.neusoft.smart.pos.framework.constants.ApplicationConstants;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @author zcf
 * @date 2018-02-28 16：20
 * @description 商户结算信息是否存在查询使用Response
 */
@Data
@ApiModel
@NoArgsConstructor
public class GetBillExistStatusResponse implements Serializable {
    
    @ApiModelProperty(name = "exist", value = "账单是否存在@true:存在@false:不存在", dataType = "bool")
    private boolean exist;
    
    public GetBillExistStatusResponse(Integer billCount) {
        if(billCount > 0){
            exist = ApplicationConstants.TRUE;
        }else{
            exist = ApplicationConstants.FALSE;
        }
    }
}