package com.neusoft.smart.pos.dto.trade.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author zcf
 * @date 2018-11-06 10：20
 * @description 商户结算规则详情信息查询使用Response
 */
@Data
@ApiModel
@NoArgsConstructor
public class GetBillSettlementRuleDetailResponse implements Serializable {
    
    @ApiModelProperty(name = "subjectId", value = "分润主体Id", dataType = "Integer")
    private Integer subjectId;
    
    @ApiModelProperty(name = "rate", value = "分润比例", dataType = "BigDecimal")
    private BigDecimal rate;
    
    @ApiModelProperty(name = "subjectName", value = "分润主体名称", dataType = "String")
    private String subjectName;
    
    @ApiModelProperty(name = "subjectType", value = "分润主体类型@1:集团@2:门店@3:第三方", dataType = "String")
    private String subjectType;
    
    @ApiModelProperty(name = "payType", value = "支付方式编号", dataType = "String")
    private String payType;
    
    @ApiModelProperty(name = "isBear", value = "是否承担未除尽金额@0:否@1:是", dataType = "String")
    private String isBear;
}