package com.neusoft.smart.pos.dto.trade.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author zcf
 * @date 2018-11-06 10：20
 * @description 商户结算周期信息查询使用Response
 */
@Data
@ApiModel
@NoArgsConstructor
public class GetBillSettlementRuleResponse implements Serializable {
    
    @ApiModelProperty(name = "id", value = "主键", dataType = "Integer")
    private Integer id;
    
    @ApiModelProperty(name = "shopId", value = "门店Id", dataType = "Integer")
    private Integer shopId;
    
    @ApiModelProperty(name = "ruleId", value = "系统规则Id", dataType = "Integer")
    private Integer ruleId;
    
    @ApiModelProperty(name = "shopName", value = "门店名称", dataType = "String")
    private String shopName = "";
    
    @ApiModelProperty(name = "rateStartTime", value = "分润开始时间(2018-10-31)", dataType = "String")
    private String rateStartTime;
    
    @ApiModelProperty(name = "rateEndTime", value = "分润结束时间(2018-10-31)", dataType = "String")
    private String rateEndTime;
    
    @ApiModelProperty(name = "sortNo", value = "优先级排序(由大至小排序)", dataType = "Integer")
    private Integer sortNo;
    
    @ApiModelProperty(name = "createdAt", value = "创建时间戳", dataType = "long")
    private Date createdAt;
    
    @ApiModelProperty(name = "ruleDetails", value = "规则详情列表", dataType = "List")
    private List<GetBillSettlementRuleDetailResponse> ruleDetails;
    
//    public void setCreatedAt(Date createdAt) {
//        this.createdAt = createdAt.getTime();
//    }
}