package com.neusoft.smart.pos.dto.trade.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author zcf
 * @date 2018-01-08 10：43
 * @description 订单详情查询使用Request
 */
@Data
@ApiModel
public class GetOrderDetailsModelResponse {
	
	@ApiModelProperty(name = "itemNumber", value = "商品编号", dataType = "String", example = "368685208641077248")
	private String itemNumber;

	@ApiModelProperty(name = "itemName", value = "商品名称", dataType = "String", example = "大盘鸡")
	private String itemName;

	@ApiModelProperty(name = "categoryName", value = "商品所属类别名称", dataType = "String", example = "凉菜")
	private String categoryName;

	@ApiModelProperty(name = "categoryNumber", value = "商品所属类别编号", dataType = "String", example = "10")
	private String categoryNumber;

	@ApiModelProperty(name = "unitPrice", value = "商品单价", dataType = "Double", example = "18.98")
	private BigDecimal unitPrice;

	@ApiModelProperty(name = "discountAmount", value = "优惠金额", dataType = "Double", example = "18.98")
	private BigDecimal discountAmount = BigDecimal.ZERO;

	@ApiModelProperty(name = "quantity", value = "商品数量", dataType = "BigDecimal", example = "5")
	private BigDecimal quantity;

	@ApiModelProperty(name = "finalPrice", value = "总价(单价-折扣金额)*数量", dataType = "Double", example = "18.98")
	private BigDecimal finalPrice;


}
