package com.neusoft.smart.pos.dto.trade.response;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author zcf
 * @date 2018-04-08 10：43
 * @description 订单查询使用Response
 */
@ApiModel
@Data
@NoArgsConstructor
public class GetOrderInfoByOrderNumberResponse {
	
	private Integer id;
	private String orderNumber;
	private Integer orgId;
	private Integer shopId;
	private String serialNo;
	private String deviceName;
	private String customerNumber;
	private Integer seqNo;
	private String memberCardNo;
	private String memberName;
	private String cardNum;
	private String cardHidCode;
	private BigDecimal orderAmount;
	private BigDecimal realPayAmount;
	private BigDecimal discountAmount;
	private String payType;
	private String payTypeName;
	private String scanCode;
	private Date paidTime;
	private String orderStatus;
	private String orderType;
	private String locationNo;
	private String payStatus;
	private String retrvlRefNo;
	private String oriTraceNo;
	private String oriBatchNo;
	private String transDate;
	private String couponNo;
	private Date timeExpire;
	private Integer score;
	private Integer version;
	private String refundNumber;
    private String printerFlag;
	private String remark;
	private Date createdAt;
	private String createdBy;
	private String updatedBy;
	private Date updatedAt;
	
	private List<OrderDetail> orderDetailList;
	
	@Data
	@ApiModel
	public static class OrderDetail{
		
		private Integer id;
		private String orderNumber;
		private String itemNumber;
		private String itemName;
		private String categoryName;
		private String categoryNumber;
		private BigDecimal unitPrice;
		private BigDecimal discountAmount;
		private Integer quantity;
		private BigDecimal finalPrice;
		private Integer version;
		private Date createdAt;
		private String createdBy;
		private String updatedBy;
		private Date updatedAt;
		
	}
}
