package com.neusoft.smart.pos.dto.trade.response;

import com.neusoft.smart.pos.framework.utils.LocalDateTimeUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author zcf
 * @date 2018-06-08 10：43
 * @description 员工菜品查询使用Response
 */
@Data
@ApiModel
public class GetOrderMemberResponse {

	@ApiModelProperty(name = "shopId", value = "门店ID", dataType = "Integer", example = "1")
	private Integer shopId;

	@ApiModelProperty(name = "orderNumber", value = "订单编号", dataType = "String", example = "368685208641077248")
	private String orderNumber;

	@ApiModelProperty(name = "serialNo", value = "设备序列表", dataType = "String", example = "368685208641077248")
	private String serialNo;

	@ApiModelProperty(name = "deviceName", value = "设备名称", dataType = "String", example = "368685208641077248")
	private String deviceName;

	@ApiModelProperty(name = "memberCardNo", value = "会员卡号、东软员工号", dataType = "String", example = "368685208641077248")
	private String memberCardNo;

	@ApiModelProperty(name = "memberName", value = "会员名称、员工姓名", dataType = "String", example = "张三")
	private String memberName;

	@ApiModelProperty(name = "cardNum", value = "会员卡编号(印刷,沈阳食堂使用)", dataType = "String", example = "368685208641077248")
	private String cardNum;

	@ApiModelProperty(name = "itemNumber", value = "商品编号", dataType = "String", example = "368685208641077248")
	private String itemNumber;

	@ApiModelProperty(name = "itemName", value = "商品名称", dataType = "String", example = "大盘鸡")
	private String itemName;

	@ApiModelProperty(name = "categoryName", value = "商品所属类别名称", dataType = "String", example = "凉菜")
	private String categoryName;

	@ApiModelProperty(name = "categoryNumber", value = "商品所属类别编号", dataType = "String", example = "10")
	private String categoryNumber;

	@ApiModelProperty(name = "createdAt", value = "消费时间", dataType = "String" ,example="2018-05-26 18:55:45")
	public String createdAt;

}
