package com.neusoft.smart.pos.dto.trade.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author zcf
 * @date 2018-03-12 13：55
 * @description 商户门店交易支付占比统计查询使用Response
 */
@ApiModel
@Data
public class GetPayChannelProportionResponse {

	@ApiModelProperty(name = "payChannels", value = "支付渠道金额明细", dataType = "List")
	public List<PayChannel> payChannels;

	@Data
	@ApiModel
	public static class PayChannel{
		@ApiModelProperty(name = "payType", value = "支付方式编号", dataType = "String" ,example="1")
		public String payType;

		@ApiModelProperty(name = "payTypeName", value = "支付方式名称", dataType = "String" ,example="微信支付")
		public String payTypeName;

		@ApiModelProperty(name = "payAmount", value = "消费金额（元）", dataType = "BigDecimal" ,example="198.22")
		public BigDecimal payAmount = BigDecimal.valueOf(0);

		@ApiModelProperty(name = "payCount", value = "消费笔数", dataType = "Integer" ,example="98")
		public Integer payCount = 0;

		@ApiModelProperty(name = "refundCount", value = "退款笔数", dataType = "Integer" ,example="98")
		public Integer refundCount = 0;

		@ApiModelProperty(name = "amount", value = "实收金额", dataType = "BigDecimal" ,example="198.22")
		public BigDecimal amount = BigDecimal.valueOf(0);

		@ApiModelProperty(name = "proportion", value = "占比", dataType = "String" ,example="20%")
		public String proportion = "0%";
	}
}
