package com.neusoft.smart.pos.dto.trade.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author zcf
 * @date 2018-01-08 10：43
 * @description 支付方式列表查询使用Response
 */
@ApiModel
@Data
public class GetPayChannelsResponse {

	@ApiModelProperty(name = "payChannels", value = "支付渠道列表", dataType = "list" ,example="[{\"payType\": \"1\",\"imageUrl\": \"\"},{\"payType\": \"2\",\"imageUrl\": \"\"}")
	private List<PayChannel> payChannels;

	@Data
	public static class PayChannel {

		@ApiModelProperty(name = "appid", value = "应用ID", dataType = "String" ,example="1")
		public String appid;

		@ApiModelProperty(name = "mchId", value = "商户号", dataType = "String" ,example="1")
		public String mchId;

		@ApiModelProperty(name = "subAppid", value = "子应用ID", dataType = "String" ,example="1")
		public String subAppid;

		@ApiModelProperty(name = "subMchId", value = "子商户号", dataType = "String" ,example="1")
		public String subMchId;

		@ApiModelProperty(name = "shopNo", value = "门店号(银商专用)", dataType = "String" )
		private String shopNo;

		@ApiModelProperty(name = "secretKey", value = "密钥", dataType = "String" ,example="1")
		public String secretKey;

		@ApiModelProperty(name = "appSecretKey", value = "公众号密钥", dataType = "String" ,example="1")
		public String appSecretKey;

		@ApiModelProperty(name = "name", value = "付款方式名称@1:微信支付@2:支付宝支付@3:银行卡支付@4:微信转账@:5支付宝转账@6:现金支付@7:会员卡支付@8:当面资金授权支付@9:银联二维码支付", dataType = "String" ,example="1")
		public String name;

		@ApiModelProperty(name = "categoryType", value = "处理类别@1:三方支付类(微信支付宝等)@2:现金支付类@3:银行卡支付类@4:饭卡类@5:会员卡支付类", dataType = "String" ,example="1")
		public String categoryType;

		@ApiModelProperty(name = "payType", value = "付款方式编号@1:微信支付@2:支付宝支付@3:银行卡支付@4:微信转账@:5支付宝转账@6:现金支付@7:会员卡支付@8:当面资金授权支付@9:银联二维码支付@10:饭卡(易石)@21:微信支付(银商)@22:支付宝支付(银商)", dataType = "String" ,example="1")
		public String payType;

		@ApiModelProperty(name = "scanType", value = "扫描类型@1用户扫商户二维码@2商户扫用户二维码", dataType = "String",example="1")
		private String scanType;

		@ApiModelProperty(name = "imageUrl", value = "转账汇款图片URL", dataType = "String" ,example="http://www.baidu.com/cc.jpg")
		public String imageUrl;

		@ApiModelProperty(name = "payImageUrl", value = "支付图片URL", dataType = "String" ,example="http://www.baidu.com/cc.jpg")
		public String payImageUrl;

		@ApiModelProperty(name = "payImageUrlThumb", value = "支付图片(小图)URL", dataType = "String" ,example="http://www.baidu.com/cc.jpg")
		public String payImageUrlThumb;

		@ApiModelProperty(name = "isEnable", value = "是否启用@0未启用@1启用", dataType = "String" ,example="1")
		public String isEnable;

		@ApiModelProperty(name = "isShowOnPos", value = "POS端是否显示@0不显示@1显示", dataType = "String" ,example="1")
		public String isShowOnPos;

	}
}
