package com.neusoft.smart.pos.dto.trade.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author zcf
 * @date 2018-01-08 10：43
 * @description 支付方式列表查询使用Response
 */
@ApiModel
@Data
public class GetPayTypeDictsResponse {



	@ApiModelProperty(name = "payTypes", value = "支付方式列表", dataType = "list" ,example="[{\"payType\": \"1\",\"name\": \"微信扫码支付\"},{\"payType\": \"2\",\"name\": \"支付宝扫码支付\"}")
	private List<PayTypeInfo> payTypes;

	@Data
	public static class PayTypeInfo {

		@ApiModelProperty(name = "payType", value = "付款方式编号@1:微信支付@2:支付宝支付@3:银行卡支付@4:微信转账@:5支付宝转账@6:现金支付@7:会员卡支付@8:当面资金授权支付@9:银联二维码支付", dataType = "String" ,example="1")
		public String payType;

		@ApiModelProperty(name = "name", value = "支付方式名称", dataType = "String" ,example="微信支付")
		public String name;

	}
}
