package com.neusoft.smart.pos.dto.trade.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * @author zcf
 * @date 2018-03-05 09：52
 * @description 支付方式金额列表使用Response
 */
@ApiModel
@Data
public class GetPayTypeResponse {
    
    @ApiModelProperty(name = "payType", value = "支付方式编号", dataType = "String" ,example="1")
    public String payType;
    
    @ApiModelProperty(name = "payTypeName", value = "支付方式名称", dataType = "String" ,example="微信支付")
    public String payTypeName;
    
    @ApiModelProperty(name = "payAmount", value = "消费金额（元）", dataType = "BigDecimal" ,example="198.22")
    public BigDecimal payAmount = BigDecimal.ZERO;
    
    @ApiModelProperty(name = "payCount", value = "消费总笔数", dataType = "Integer" ,example="1")
    public Integer payCount = 0;
}
