package com.neusoft.smart.pos.dto.trade.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * @author zcf
 * @date 2018-07-02 09：52
 * @description 商户门店交易统计查询使用Response
 */
@ApiModel
@Data
public class GetPayTypeTradeSummaryResponse {
    
    @ApiModelProperty(name = "orderAmount", value = "总金额（元）", dataType = "BigDecimal" ,example="198.22")
    public BigDecimal totalAmount = BigDecimal.valueOf(0);
    
    @ApiModelProperty(name = "shopSummaryList", value = "门店信息列表", dataType = "List")
    public List<GetShopSummaryResponse> shopSummaryList = new ArrayList<>();
    
}
