package com.neusoft.smart.pos.dto.trade.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author zcf
 * @date 2018-03-05 09：52
 * @description 商户门店订单汇总查询使用Response
 */
@ApiModel
@Data
public class GetShopOrderSummaryResponse {

	@ApiModelProperty(name = "orgId", value = "门店ID", dataType = "Integer" ,example="1")
	public Integer orgId;

	@ApiModelProperty(name = "shopId", value = "门店ID", dataType = "Integer" ,example="1")
	public Integer shopId;

	@ApiModelProperty(name = "shopName", value = "门店名称", dataType = "String" ,example="门店1")
	public String shopName = "";

	@ApiModelProperty(name = "orderAmount", value = "今日总金额（元）", dataType = "BigDecimal" ,example="198.22")
	public BigDecimal totalAmount = BigDecimal.valueOf(0);

	@ApiModelProperty(name = "rechargeAmount", value = "今日充值总金额（元）", dataType = "BigDecimal" ,example="198.22")
	public BigDecimal rechargeAmount = BigDecimal.valueOf(0);

	@ApiModelProperty(name = "orderCount", value = "今日订单收单总数（笔）", dataType = "Integer" ,example="98")
	public Integer orderCount = 0;

	@ApiModelProperty(name = "rechargeCount", value = "今日充值收单总数（笔）", dataType = "Integer" ,example="98")
	public Integer rechargeCount = 0;
}
