package com.neusoft.smart.pos.dto.trade.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * @author zcf
 * @date 2018-07-02 09：52
 * @description 商户门店交易统计查询使用Response
 */
@ApiModel
@Data
public class GetShopSummaryResponse {
    
    @ApiModelProperty(name = "shopId", value = "门店Id", dataType = "Integer" ,example="1")
    public Integer shopId;
    
    @ApiModelProperty(name = "shopName", value = "门店名称", dataType = "String" ,example="门店1")
    public String shopName = "";
    
    @ApiModelProperty(name = "payAmount", value = "消费金额（元）", dataType = "BigDecimal" ,example="198.22")
    public BigDecimal payAmount = BigDecimal.ZERO;
    
    @ApiModelProperty(name = "payCount", value = "消费总笔数", dataType = "Integer" ,example="1")
    public Integer payCount = 0;
    
    @ApiModelProperty(name = "payTypeList", value = "支付方式信息列表", dataType = "List")
    public List<GetPayTypeResponse> payTypeList = new ArrayList<>();
}
