package com.neusoft.smart.pos.dto.trade.response;

import com.neusoft.smart.pos.constants.DictionaryConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zcf
 * @date 2018-11-28 10：43
 * @description 第三方预授权支付订单生成使用domain
 */
@Data
public class PostGenerateGrantOrderResponse {

	private String mcode;			//商户号(聚合支付平台提供)
	private String payCode;			//第三方支付单号(支付二维码)
	private String timeExpire;		//订单失效时间，格式为yyyyMMddHHmmss，有效时间至少5分钟,如果为空默认为2小时
	private String tradeId;			//聚合支付平台流水号
	private String outerOrderNumber;	//第三方支付平台流水号
	private String authNo;          //第三方支付平台资金授权订单号
	private String orderNumber;		//业务系统订单号
	private String payType;			//支付方式(@1:微信扫码支付@2:支付宝扫码支付@3:支付宝当面资金授权支付@4:银联二维码支付)
	private String sign;			//签名(MD5加密字符串)
	private String grantStatus = DictionaryConstant.PAY_GRANT_STATUS_CLZ.getCode();		//授权状态@1:授权处理中@2:已授权@3:已解冻@4:已撤销
	private String grantTime;       //授权时间yyyy-MM-dd HH:mm:ss
	
}
