package com.neusoft.smart.pos.dto.trade.response;

import com.neusoft.smart.pos.framework.utils.DateUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author zcf
 * @date 2018-12-26 10：43
 * @description 人脸支付初始化使用Response
 */
@ApiModel
@Data
public class PostInitFacePayResponse {
	
	@ApiModelProperty(name = "initStatus", value = "初始化状态@0:初始化失败@1:初始化成功", dataType = "String")
	private String initStatus;
	
	@ApiModelProperty(name = "zimId", value = "支付宝刷脸调用的标识", dataType = "String")
	private String zimId;
	
	@ApiModelProperty(name = "zimInitClientData", value = "支付宝刷脸的下发协议数据", dataType = "String")
	private String zimInitClientData;
	
	@ApiModelProperty(name = "authinfo", value = "微信SDK调用凭证。用于调用SDK的人脸识别接口。", dataType = "String")
	private String authinfo;
	
	@ApiModelProperty(name = "expiresIn", value = "微信authinfo的有效时间, 单位秒。 例如: 3600", dataType = "String")
	private String expiresIn;

	@ApiModelProperty(name = "orderNumber", value = "订单编号（仅用于兼容北国版本app）", dataType = "String")
	private String orderNumber;

	public PostInitFacePayResponse() {
	}
}
