package com.neusoft.smart.pos.dto.trade.response;

import com.neusoft.smart.pos.constants.DictionaryConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zcf
 * @date 2018-12-04 10：43
 * @description 第三方预授权查询使用domain
 */
@Data
public class PostPaymentGrantToPayResponse {
	
	@ApiModelProperty(name = "mcode", value = "商户号(聚合支付平台提供)", dataType = "String" ,example="NEU226104452154865")
	private String mcode;
	
	@ApiModelProperty(name = "grantOrderNumber", value = "业务系统订单号", dataType = "String" ,example="201801301122")
	private String grantOrderNumber;
	
	@ApiModelProperty(name = "authNo", value = "支付宝资金授权订单号", dataType = "String" ,example="1")
	private String authNo;
	
	@ApiModelProperty(name = "tradeId", value = "聚合支付平台交易流水", dataType = "String" ,example="1")
	private String tradeId;
	
	@ApiModelProperty(name = "orderNumber", value = "业务平台支付订单号", dataType = "String" ,example="201801301122")
	private String orderNumber;
	
	@ApiModelProperty(name = "outerOrderNumber", value = "第三方支付平台预授权流水号", dataType = "String" ,example="201801301122")
	private String outerOrderNumber;
	
	@ApiModelProperty(name = "outerPayOrderNumber", value = "第三方支付平台支付交易流水号", dataType = "String" ,example="201801301122")
	private String outerPayOrderNumber;
	
	@ApiModelProperty(name = "paidTime", value = "支付完成时间2014-11-27 15:45:57", dataType = "String" ,example="201801301122")
	private String paidTime;
	
	@ApiModelProperty(name = "payAmount", value = "支付交易金额，单位分", dataType = "Long" ,example="10")
	private Long payAmount;
	
	@ApiModelProperty(name = "payStatus", value = "支付状态(@1:未支付@2:已支付)", dataType = "String" ,example="1")
	private String payStatus;
	
	@ApiModelProperty(name = "sign", value = "签名(MD5加密字符串)", dataType = "String" ,example="5CFB108E5A9CAA78B141251BC2BD7F74")
	private String sign;
}
