package com.neusoft.smart.pos.dto.trade.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author tjm
 * @date 2018-05-17 10：43
 * @description 第三方支付查询返回
 */
@Data
public class PostQueryOrderResponse {

	private String mcode;			//商户号(聚合支付平台提供)
	private String payCode;			//第三方支付单号(支付二维码)
	private String timeExpire;		//订单失效时间，格式为yyyyMMddHHmmss，有效时间至少5分钟,如果为空默认为2小时
	private String tradeId;			//聚合支付平台流水号
	private String outerTradeNumber;	//第三方支付平台流水号
	private String orderNumber;		//业务系统订单号
	private String payType;			//支付方式(@1:微信扫码支付@2:支付宝扫码支付@3:支付宝当面资金授权支付@4:银联二维码支付)
	private String sign;			//签名(MD5加密字符串)
	private String orderStatus;		//支付状态(@1:未支付@2:已支付)
}
