package com.neusoft.smart.pos.dto.trade.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author zcf
 * @date 2018-03-14 09：09
 * @description 商户支付订单退款申请使用Response
 */
@Data
@ApiModel
@NoArgsConstructor
public class PostRefundResponse {

	@ApiModelProperty(name = "isSuccess", value = "退款是否成功@false:失败@true:成功", dataType = "boolean" ,example="true")
	public Boolean isSuccess;

	@ApiModelProperty(name = "refundNumber", value = "退款单号", dataType = "String" ,example="815794899800")
	public String refundNumber;

	@ApiModelProperty(name = "memberCardNo", value = "会员卡号", dataType = "String" ,example="251611512")
	public String memberCardNo;

	@ApiModelProperty(name = "payType", value = "付款方式编号@1:微信支付@2:支付宝支付@3:银行卡支付@4:微信转账@:5支付宝转账@6:现金支付@7:会员卡支付@8:当面资金授权支付@9:银联二维码支付", dataType = "String" ,example="7")
	public String payType;

	@ApiModelProperty(name = "refundAmount", value = "实际退款金额", dataType = "Double" ,example="100")
	public BigDecimal refundAmount;

	@ApiModelProperty(name = "score", value = "退还积分数", dataType = "Integer" ,example="100")
	public Integer score;

	@ApiModelProperty(name = "refundTime", value = "退款时间", dataType = "Date" ,example="100")
	public Date refundTime;

}
