package com.neusoft.smart.pos.dto.trade.response;

import com.neusoft.smart.pos.constants.DictionaryConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author zcf
 * @date 2018-11-28 10：43
 * @description 第三方预授权支付订单生成使用domain
 */
@Data
@NoArgsConstructor
public class PostUnFreezeGrantResponse {
	
	@ApiModelProperty(name = "grantOrderNumber", value = "业务系统订单号", dataType = "String" ,example="201801301122")
	private String grantOrderNumber;
	
	@ApiModelProperty(name = "unFreezeStatus", value = "解冻状态(@1:解冻失败@2:解冻成功)", dataType = "String" ,example="1")
	private String unFreezeStatus;
	
	@ApiModelProperty(name = "unFreezeTime", value = "解冻时间YYYY-MM-DD HH:MM:SS", dataType = "String" ,example="1")
	private String unFreezeTime;
	
	@ApiModelProperty(name = "unFreezeAmount", value = "解冻金额(单位是元)", dataType = "BigDecimal" ,example="1")
	private BigDecimal unFreezeAmount;
}
