package com.neusoft.smart.pos.dto.trade.response;

import com.neusoft.smart.pos.constants.DictionaryConstant;
import com.neusoft.smart.pos.framework.utils.LocalDateTimeUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author zcf
 * @date 2018-02-23 10：43
 * @description 第三方支付订单生成使用Response
 */
@ApiModel
@Data
public class PostUnionPayOrderResponse {

	@ApiModelProperty(name = "orderNumber", value = "订单编号", dataType = "String" ,example="810825487965")
	public String orderNumber;

	@ApiModelProperty(name = "seqNo", value = "当日订单序号", dataType = "BigDecimal" ,example="1")
	public Integer seqNo;

	@ApiModelProperty(name = "orderAmount", value = "订单应付金额", dataType = "BigDecimal" ,example="20.99")
	public BigDecimal orderAmount;

	@ApiModelProperty(name = "realPayAmount", value = "订单实付金额", dataType = "BigDecimal" ,example="0.00")
	public BigDecimal realPayAmount;

	@ApiModelProperty(name = "discountAmount", value = "订单优惠金额", dataType = "BigDecimal" ,example="0.00")
	public BigDecimal discountAmount;

	@ApiModelProperty(name = "payCode", value = "第三方支付单号", dataType = "String" ,example="weixin：//wxpay/s/An4baqw")
	public String payCode = "";

	@ApiModelProperty(name = "payStatus", value = "支付状态(@1:未支付@2:已支付)", dataType = "String" ,example="1")
	public String payStatus = DictionaryConstant.PAY_STATUS_WFK.getCode();

	@ApiModelProperty(name = "createdAt", value = "创建时间", dataType = "String" ,example="2018-05-26 18:55:45")
	public String createdAt;

	@ApiModelProperty(name = "paidTime", value = "支付完成时间", dataType = "String" ,example="2018-07-09 09:40:53")
	public String paidTime;

//	public void setCreatedAt(Date createdAt) {
//		this.createdAt = LocalDateTimeUtils.convertLocalDateTimeToString(LocalDateTimeUtils.convertDateToLocalDateTime(createdAt),LocalDateTimeUtils.DEFAULT_DATETIME_FORMAT);
//	}
}
