package com.neusoft.smart.pos.dto.trade.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author zcf
 * @date 2018-01-08 10：43
 * @description 会员卡支付使用Response
 */
@ApiModel
@Data
@NoArgsConstructor
public class PutMemberCardPayResponse {

	@ApiModelProperty(name = "score", value = "获赠积分", dataType = "Integer" ,example="100")
	public Integer score;

	@ApiModelProperty(name = "orderAmount", value = "订单总金额", dataType = "Long", example = "18.98")
	private BigDecimal orderAmount;

	@ApiModelProperty(name = "realPayAmount", value = "订单实付金额", dataType = "BigDecimal" ,example="0.00")
	public BigDecimal realPayAmount;

	@ApiModelProperty(name = "discountAmount", value = "订单优惠金额", dataType = "BigDecimal" ,example="0.00")
	public BigDecimal discountAmount = BigDecimal.ZERO;

	@ApiModelProperty(name = "balanceAmount", value = "会员卡余额", dataType = "BigDecimal" ,example="0.00")
	public BigDecimal balanceAmount;

	@ApiModelProperty(name = "paidTime", value = "支付完成时间", dataType = "String" ,example="2018-07-09 09:40:53")
	public String paidTime;

}
