package com.neusoft.smart.pos.dto.trade.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author zcf
 * @date 2018-05-07 10：43
 * @description 订单撤销使用Response
 */
@ApiModel
@Data
@NoArgsConstructor
public class PutReverseOrderResponse {

	@ApiModelProperty(name = "isSuccess", value = "订单撤销是否成功@false:失败@true:成功", dataType = "boolean" ,example="true")
	public Boolean isSuccess;

	@ApiModelProperty(name = "memberCardNo", value = "会员卡号", dataType = "String" ,example="251611512")
	public String memberCardNo;

	@ApiModelProperty(name = "payType", value = "付款方式编号@1:微信支付@2:支付宝支付@3:银行卡支付@4:微信转账@:5支付宝转账@6:现金支付@7:会员卡支付@8:当面资金授权支付@9:银联二维码支付", dataType = "String" ,example="7")
	public String payType;

	@ApiModelProperty(name = "refundAmount", value = "实际退款金额", dataType = "Double" ,example="100")
	public BigDecimal refundAmount;

	@ApiModelProperty(name = "refundTime", value = "退款时间", dataType = "Date" ,example="100")
	public Date refundTime;
}
