package com.neusoft.smart.pos.dto.trade.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @description 交接班统计查询使用Response
 */

@ApiModel
@Data
public class ShiftTradeSummary {
    @ApiModelProperty(name = "shopId", value = "门店ID", dataType = "Integer",example = "1")
    private Integer shopId;

    @ApiModelProperty(name = "shopName", value = "门店名称", dataType = "String",example = "门店1")
    private String shopName = "";

    @ApiModelProperty(name = "operator", value = "收银员", dataType = "String",example = "user1")
    private String operator = "";

    @ApiModelProperty(name = "serialNo", value = "设备SN", dataType = "String",example = "244583366844")
    private String serialNo = "";

    @ApiModelProperty(name = "loginTime", value = "登录时间", dataType = "String",example = "2018-10-20 08:00:00")
    private String loginTime = "";

    @ApiModelProperty(name = "shiftTime", value = "交接班时间", dataType = "String",example = "2018-10-20 08:00:00")
    private String shiftTime = "";

    @ApiModelProperty(name = "amountAM", value = "上午实收金额", dataType = "String",example = "100.00")
    private String amountAM = "0.00";

    @ApiModelProperty(name = "amountPM", value = "下午实收金额", dataType = "String",example = "100.00")
    private String amountPM = "0.00";

    @ApiModelProperty(name = "totalAmount", value = "实收总金额", dataType = "String",example = "100.00")
    private String totalAmount = "0.00";

    @ApiModelProperty(name = "payChannels", value = "支付渠道金额明细", dataType = "List")
    private List<GetPayChannelSummaryForPosResponse.PayChannel> payChannels;
}
