package com.neusoft.smart.pos.dto.user;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel
public class CreateUserRequest {
    @ApiModelProperty(name = "username", value = "用户名", dataType = "String", required = true)
    @NotNull(message = "用户名不能为空")
    private String username;
    @ApiModelProperty(name = "password", value = "密码", dataType = "String")
    @NotNull(message = "密码不能为空")
    private String password;
    @ApiModelProperty(name = "role", value = "角色", dataType = "String", required = true)
    @NotNull(message = "角色不能为空")
    private String role;
    @ApiModelProperty(name = "org", value = "组织代码，可以为空", dataType = "Integer")
    private Integer org;
    @ApiModelProperty(name = "shopIds", value = "门店代码，可空", dataType = "Integer")
    private List<Integer> shopIds;
    private String nickname;

}
