package com.neusoft.smart.pos.framework.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author zcf
 * @time 2017年9月14日
 * @description 分页使用实体bean
 */
@Data
@ApiModel
public class PageBean<T> implements Serializable{
	private static final long serialVersionUID = -2584019506232735148L;
	
	@ApiModelProperty(name = "pageNum", value = "当前页号", dataType = "Integer" ,example="1")
	private Integer pageNum;
	@ApiModelProperty(name = "limit", value = "每页条数", dataType = "Integer" ,example="20")
	private Integer limit;
	@ApiModelProperty(name = "total", value = "总数据条数", dataType = "Integer" ,example="50")
	private Integer total;
	@ApiModelProperty(name = "list", value = "数据集合", dataType = "List")
	private List<T> list;
	
}
