package com.neusoft.smart.pos.gateway.service.feignService;

import com.neusoft.smart.pos.dto.trade.response.*;
import com.neusoft.smart.pos.framework.dto.ResponseData;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * 订单管理使用远程调用service
 */
@FeignClient(value = "service-trade/billSettlementRule")
public interface RemoteBillRuleService {

    @GetMapping("/billSettlementRule")
    ResponseData<GetBillSettlementRuleResponse> queryBillSettlementRule(@RequestParam(value="ruleId",defaultValue = "0") Integer ruleId);
    
    @ApiOperation(value = "结算规则列表查询使用接口", notes = "结算规则列表查询使用方法")
    @GetMapping("/billSettlementRules")
    ResponseData<GetBillSettlementRulesResponse> queryBillSettlementRules();
}