package com.neusoft.smart.pos.gateway.service.feignService;

import com.neusoft.smart.pos.dto.trade.request.*;
import com.neusoft.smart.pos.dto.trade.response.*;
import com.neusoft.smart.pos.framework.dto.ResponseData;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;

/**
 * 人脸支付管理使用远程调用service
 */
@FeignClient(value = "service-trade/facePay")
public interface RemoteFacePayService {
    
    @ApiOperation(value = "人脸支付初始化接口", notes = "人脸支付初始化方法")
    @PostMapping("/initFacePay")
    ResponseData<PostInitFacePayResponse> initFacePay(@Valid @RequestBody PostInitFacePayRequest initFacePayRequest);
    
    @ApiOperation(value = "刷脸生活初始化接口", notes = "刷脸生活初始化方法")
    @PostMapping("/initFaceLive")
    ResponseData<PostInitFacePayResponse> initFaceLive(@Valid @RequestBody PostInitFacePayRequest initFacePayRequest);
}