package com.neusoft.smart.pos.gateway.service.feignService;

import com.neusoft.smart.pos.dto.trade.request.*;
import com.neusoft.smart.pos.dto.trade.response.*;
import com.neusoft.smart.pos.framework.dto.ResponseData;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.*;

/**
 * 商户订单管理使用远程调用service
 */
@FeignClient(value = "service-trade/mchOrder")
public interface RemoteMchOrderService {
    
    @GetMapping("/memberOrders")
    ResponseData<GetMemberOrdersResponse> queryMemberOrders(
            @RequestParam(value="mcode",defaultValue = "") String mcode
            , @RequestParam(value="sign",defaultValue = "") String sign
            , @RequestParam(value="memberCardNo",defaultValue = "") String memberCardNo
            , @RequestParam(value="orderType",defaultValue = "") String orderType
            , @RequestParam(value="startTime",defaultValue = "") String startTime
            , @RequestParam(value="endTime",defaultValue = "") String endTime
            , @RequestParam(value="offset",defaultValue = "") Integer offset
            , @RequestParam(value="limit",defaultValue = "") Integer limit
            , @RequestParam(value="isPage",defaultValue = "") Boolean isPage);
}