package com.neusoft.smart.pos.gateway.service.feignService;

import com.neusoft.smart.pos.dto.trade.request.PostRefundRequest;
import com.neusoft.smart.pos.dto.trade.request.PostTradeOrderRequest;
import com.neusoft.smart.pos.dto.trade.request.PutOrderPaySuccessRequest;
import com.neusoft.smart.pos.dto.trade.request.PutOrderScoreRequest;
import com.neusoft.smart.pos.dto.trade.response.*;
import com.neusoft.smart.pos.framework.dto.ResponseData;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;

/**
 * 订单管理使用远程调用service
 */
@FeignClient(value = "service-trade/orderRefund")
public interface RemoteOrderRefundService {

    @PostMapping("/refund")
    ResponseData<PostRefundResponse> saveOrderRefund(@RequestBody PostRefundRequest refundRequest);
}