package com.neusoft.smart.pos.gateway.service.feignService;

import com.neusoft.smart.pos.dto.printer.request.PostPrinterOrderRequest;
import com.neusoft.smart.pos.dto.printer.response.PostPrinterOrderResponse;
import com.neusoft.smart.pos.dto.trade.request.*;
import com.neusoft.smart.pos.dto.trade.response.*;
import com.neusoft.smart.pos.framework.dto.ResponseData;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.*;

/**
 * 打印管理使用远程调用service
 */
@FeignClient(value = "service-org/printer")
public interface RemotePrinterService {
    
    @PostMapping("/printerOrder")
    ResponseData<PostPrinterOrderResponse> printerOrder(@RequestBody PostPrinterOrderRequest printerOrderRequest);

}