package com.neusoft.smart.pos.inventory.service;

import com.neusoft.smart.pos.dto.inventory.request.SellAndWarehouseOutRequest;
import com.neusoft.smart.pos.inventory.persistent.domain.InventoryGoodsInfo;
import com.neusoft.smart.pos.inventory.persistent.domain.InventoryGoodsLimit;
import org.springframework.data.util.Pair;

public interface WarehouseOutLimitInterface {
    
    /**
     * 检查限制条件
     *
     * @param limit              单个商品限制条件的配置
     * @param inventoryGoodsInfo 商品数据
     * @param orderItem          售卖的商品之一
     * @return
     */
    Pair<Boolean, String> checkLimit(InventoryGoodsLimit limit, InventoryGoodsInfo inventoryGoodsInfo, SellAndWarehouseOutRequest.OrderItem orderItem);
}
