package com.neusoft.smart.pos.card.dto;

import com.neusoft.smart.pos.dto.AbstractQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel
@Data
public class CardCapitalChangeQueryRequest extends AbstractQuery {
	
	
	private String changeOrderId;

	@ApiModelProperty(name = "startTime", value = "开始日期(大于等于)", dataType = "String" ,example="2018-01-01")
	private String startTime;

	@ApiModelProperty(name = "endTime", value = "结束日期(小于等于)", dataType = "String" ,example="2018-01-20")
	private String endTime;

	@ApiModelProperty(name = "dateTime", value = "年月时间", dataType = "String" ,example="2018-01")
	private String dateTime;

	@NotNull(message = "时间模式不能为空")
	@ApiModelProperty(name = "timeMode", value = "时间模式(@1:按开始及结束时间查询@2:按年月查询)", dataType = "String" ,example="1",required=true)
	private String timeMode;
	
	@ApiModelProperty(name = "changeTypes", value = "变更状态s", dataType = "List<Integer>", example = "[0,1]")
	private List<Integer> changeTypes;
	
	@ApiModelProperty(name = "cardNum", value = "卡号", dataType = "String", example = "12558336696")
	private String cardNum;
	
}
