package com.neusoft.smart.pos.printer.persistent.ext.domain;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author zcf
 * @date 2018-10-18 10：43
 * @description 订单打印对象
 */
@Data
public class Printer{

		private Long printerId;			//打印机编号
		private Integer orgId;				//集团ID
		private Integer shopId;				//门店ID
		private String templateType;        //模板类型@1:后结下单模板@2:前结结算模板@3:后结结算模板
		private String printerSn;			//打印机序列号
		private String deviceType;			//设备类型@1:中转设备@2:打印机
		private String orderNumber;			//订单编号
		private String locationNo;			//桌号
		private BigDecimal orderAmount;		//账单金额（元）
		private BigDecimal realPayAmount;	//订单实付金额（元）
		private BigDecimal discountAmount;	//订单优惠金额（元）
		private String orderStatus;			//订单状态(@1:待付款@2:已付款@3:退款中@4:已退款@5:订单取消)
		private String orderStatusName;			//订单状态(@1:待付款@2:已付款@3:退款中@4:已退款@5:订单取消)
		private String orderType;			//订单类型@1正常订单@2POS端补录订单@3会员卡充值订单@4微信点餐订单
		private String paidTime;				//支付完成时间

		private List<PrinterDetail> printerDetails;	//打印商品明细列表


	/**
     * 打印对象明细(需打印内容信息)
	 */
	@Data
	public static class PrinterDetail{

		private Integer itemNumber;			//商品编号
		private String itemName;			//商品名称
		private String categoryName;		//商品类别名称
		private String categoryNumber;		//商品类别编号
		private BigDecimal unitPrice;		//商品单价
		private Integer quantity;			//商品数量
		private BigDecimal discountAmount;	//商品优惠金额
		private BigDecimal finalPrice;		//商品总价
		private String selectedFlavors;		//口味
		private String remark;				//备注

	}

}