package com.neusoft.smart.pos.payment.controller;

import com.neusoft.smart.pos.dto.payment.request.*;
import com.neusoft.smart.pos.dto.payment.response.*;
import com.neusoft.smart.pos.framework.dto.ResponseData;
import com.neusoft.smart.pos.payment.service.FumaoPayService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(value = "富茂支付管理使用rest接口", description = "富茂支付管理使用rest接口")
@RestController
@RequestMapping(path = "/fumaoPay")
@Validated
public class FumaoPayController {

	@Autowired
	private FumaoPayService fumaoPayService;


//    @ApiOperation(value = "富茂", notes = "第三方支付单生成接口")
//    @PostMapping("/generateOrder")
//    public ResponseData<PostGenerateOrderResponse> generateOrder(@RequestBody PostGenerateOrderRequest generateOrderRequest) {
//        return new ResponseData<>(fumaoPayService.createPayOrder(generateOrderRequest));
//    }
	  @ApiOperation(value = "富茂查询试算接口", notes = "富茂查询试算接口")
	  @PostMapping("/queryAndCalc")
	  public ResponseData<FumaoMemberInfoRes> checkMem(@RequestBody FumaoPayRequest fumaoPayRequest) {
	      return new ResponseData<>(fumaoPayService.queryAndCalc(fumaoPayRequest));
	  }
	  
//	  @ApiOperation(value = "富茂优惠券核销检查接口", notes = "富茂优惠券核销检查接口")
//	  @PostMapping("/checkCouponOrderForVerify")
//	  public ResponseData<FumaoCheckCouponRes> checkCouponOrderForVerify(@RequestBody FumaoPayRequest fumaoPayRequest) {
//	      return new ResponseData<>(fumaoPayService.checkCouponOrderForVerify(fumaoPayRequest));
//	  }
	  
//	  @ApiOperation(value = "富茂优惠券核销接口", notes = "富茂优惠券核销接口")
//	  @PostMapping("/couponOrderVerify")
//	  public ResponseData<FumaoCouponVerifyRes> couponOrderVerify(@RequestBody FumaoPayRequest fumaoPayRequest) {
//	      return new ResponseData<>(fumaoPayService.couponOrderVerify(fumaoPayRequest));
//	  }


//	@ApiOperation(value = "富茂消费卡支付接口", notes = "富茂消费卡支付接口")
//	@PostMapping("/cardPayPre")
//	public ResponseData<FumaoCardPayRes> cardPayPre(@RequestBody FumaoPayRequest fumaoPayRequest) {
//		return new ResponseData<>(fumaoPayService.cardPayPre(fumaoPayRequest));
//	}
    
    
}
	