package com.neusoft.smart.pos.promotion.service.remote;

import com.neusoft.smart.pos.dto.trade.response.GetSettlementResponse;
import com.neusoft.smart.pos.framework.dto.ResponseData;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

/**
 * 商户结算信息管理使用远程调用service
 */
@FeignClient(value = "service-trade/tradeSettlement")
public interface RemoteTradeSettlementService {
    
    @GetMapping("/settlement/{orgId}/{shopId}")
    ResponseData<GetSettlementResponse> querySettlement(@PathVariable("orgId") Integer orgId, @PathVariable("shopId") Integer shopId);
}