package com.neusoft.smart.pos.address.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class GetUserCargoAddressRequest {

    @ApiModelProperty(name = "userId", value = "登录用户ID", dataType = "Integer", example = "21556333")
    private Integer userId;

    @ApiModelProperty(name = "addressType", value = "地址类型(0:收货 1:发货 all:全部类型)", dataType = "String", example = "1")
    private String addressType = "0";

    @ApiModelProperty(name = "priorityList", value = "优先级列表(0,1... all:所有地址列表)", dataType = "list")
    private List<PriorityInfo> priorityList;

    @Data
    public static class PriorityInfo {

        @ApiModelProperty(name = "priority", value = "优先级(0,1.. all:全部类型)", dataType = "String", example = "1")
        private String priority;
    }

}
