package com.neusoft.smart.pos.address.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class GetUserCargoAddressResponse {

    @ApiModelProperty(name = "userId", value = "登录用户ID", dataType = "Integer", example = "21556333")
    private Integer userId;

    @ApiModelProperty(name = "addressList", value = "地址列表", dataType = "list")
    private List<AddressInfo> addressList;

    @Data
    public static class AddressInfo {

        @ApiModelProperty(name = "addressId", value = "地址ID", dataType = "Integer", example = "1235")
        private Integer addressId;

        @ApiModelProperty(name = "contacts", value = "联系人", dataType = "String", example = "name")
        private String contacts;

        @ApiModelProperty(name = "contactPhone", value = "联系电话", dataType = "String", example = "15640440909")
        private String contactPhone;

        @ApiModelProperty(name = "detailedAddress", value = "详细地址", dataType = "String", example = "10")
        private String detailedAddress;

        @ApiModelProperty(name = "priority", value = "优先级，0为默认地址", dataType = "Integer", example = "1")
        private Integer priority;
    }

}
