package com.neusoft.smart.pos.address.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class PostUserCargoAddressRequest {

    @ApiModelProperty(name = "userId", value = "登录用户ID", dataType = "Integer", example = "21556333")
    private Integer userId;

    @ApiModelProperty(name = "addressList", value = "创建地址列表", dataType = "list")
    private List<UserCargoAddressInfo> addressList;

    @Data
    public static class UserCargoAddressInfo {
        @ApiModelProperty(name = "tag", value = "标签", dataType = "String", example = "")
        private String tag;

        @ApiModelProperty(name = "contacts", value = "联系人", dataType = "String", example = "name")
        private String contacts;

        @ApiModelProperty(name = "contactPhone", value = "联系电话", dataType = "String", example = "15640440909")
        private String contactPhone;

        @ApiModelProperty(name = "provinceCode", value = "省代码", dataType = "String", example = "0")
        private String provinceCode;

        @ApiModelProperty(name = "province", value = "省", dataType = "String", example = "10")
        private String province;

        @ApiModelProperty(name = "cityCode", value = "城市代码", dataType = "String", example = "0")
        private String cityCode;

        @ApiModelProperty(name = "city", value = "城市", dataType = "String", example = "10")
        private String city;

        @ApiModelProperty(name = "countryCode", value = "国家代码", dataType = "String", example = "0")
        private String countryCode;

        @ApiModelProperty(name = "country", value = "国家", dataType = "String", example = "10")
        private String country;

        @ApiModelProperty(name = "areaCode", value = "区/县代码", dataType = "String", example = "0")
        private String areaCode;

        @ApiModelProperty(name = "area", value = "区/县", dataType = "String", example = "10")
        private String area;

        @ApiModelProperty(name = "detailedAddress", value = "详细地址", dataType = "String", example = "10")
        private String detailedAddress;

        @ApiModelProperty(name = "addressType", value = "地址类型(0:收货 1:发货；默认为收货地址)", dataType = "Integer", example = "10")
        private Integer addressType = 0;

        @ApiModelProperty(name = "priority", value = "优先级，0为默认地址", dataType = "Integer", example = "1")
        private Integer priority = 1;
    }

}
