package com.neusoft.smart.pos.payment.dto.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.List;

@Data
@ApiModel
public class FumaoQueryCalcRequest {
    @ApiModelProperty(name = "deviceSN", value = "设备ID,pos机的SN号", dataType = "String", example="213123123",required=true)
    private String deviceSN;

    @ApiModelProperty(name = "memId", value = "富茂会员ID", dataType = "String" ,example="213124578")
    private String memId;

    @ApiModelProperty(name = "memPhone", value = "富茂会员手机号", dataType = "String" ,example="13500000000")
    private String memPhone;

    @ApiModelProperty(name = "businessType", value = "交易场景,枚举类型，0核销；1订单交易", dataType = "String" ,example="1",required=true)
    private String businessType;

    @ApiModelProperty(name = "orderAmount", value = "订单总支付金额,单位分,不能包含小数", dataType = "String" ,example="1000")
    private String orderAmount;

    @ApiModelProperty(name = "orderAmountLeft", value = "订单未支付金额,单位分,不能包含小数", dataType = "String" ,example="1000")
    private String orderAmountLeft;

    @ApiModelProperty(name = "couponOrderIdList", value = "富茂优惠券ID列表", dataType = "java.util.List" ,example="323287061575204864")
    private List<String> couponOrderIdList;

    @ApiModelProperty(name = "operatorPhone", value = "操作员手机号（登录用户名）", dataType = "String" ,example="13255669983",required=true)
    private String operatorPhone;
}
