package com.neusoft.smart.pos.payment.dto.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel
public class FumaoCheckUserResponse {

    @ApiModelProperty(name = "tenant_id", value = "富茂的广场ID", dataType = "String" ,example="456")
    private String tenant_id;

    @ApiModelProperty(name = "mall_name", value = "商场名称", dataType = "String" ,example="富茂中心")
    private String mall_name;

    @ApiModelProperty(name = "merchant_id", value = "商铺ID", dataType = "String" ,example="320833942159982592")
    private String merchant_id;

    @ApiModelProperty(name = "merchant_name", value = "商铺名称", dataType = "String" ,example="东软合作")
    private String merchant_name;

    @ApiModelProperty(name = "merchant_img", value = "商铺图片", dataType = "String" ,example="https://s3.cn-northwest-1.amazonaws.com.cn/iformall-net/234/WechatIMG5071.png")
    private String merchant_img;

    @ApiModelProperty(name = "order_operation_id", value = "操作员ID", dataType = "String" ,example="320834180694245376")
    private String order_operation_id;

    @ApiModelProperty(name = "memConfig", value = "会员配置信息", dataType = "MemberConfig")
    private MemberConfig mem_config;

    @ApiModelProperty(name = "qrcode", value = "二维码信息", dataType = "QRCode")
    private QRCode qrcode;

    @Data
    @ApiModel
    public static class QRCode {
        @ApiModelProperty(name = "qrcode_url", value = "商铺二维码", dataType = "String" ,example="https://s3.cn-northwest-1.amazonaws.com.cn/iformall-net/456/formall_c.png")
        private String qrcode_url;

        @ApiModelProperty(name = "pos_qrcode_rule", value = "二维码规则", dataType = "String" ,example="https://ctest.malls.iformall.com/order/(二维码规则: url + POS订单ID)")
        private String pos_qrcode_rule;
    }

    @Data
    @ApiModel
    public static class MemberConfig {
        @ApiModelProperty(name = "discount", value = "是否支持会员折扣,false:禁用,true:可用", dataType = "String" ,example="false")
        private String discount;

        @ApiModelProperty(name = "coupon", value = "会员优惠券是否开启,0-禁用,1-单选可用,2-多选可用", dataType = "String" ,example="0")
        private String coupon;

        @ApiModelProperty(name = "coupon_description", value = "会员优惠券是否开启描述", dataType = "String" ,example="禁用")
        private String coupon_description;

        @ApiModelProperty(name = "card", value = "是否支持卡支付,false:禁用,true:可用", dataType = "String" ,example="false")
        private String card;
    }
}
