package com.neusoft.smart.pos.payment.persistent.ext.domain;

import com.neusoft.smart.pos.dto.payment.response.FumaoPaymentData;
import com.neusoft.smart.pos.dto.payment.response.FumaoPaymentPrediction;
import com.neusoft.smart.pos.dto.payment.response.FumaoPaymentType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@ApiModel
public class QueryCalcResponse {

    @ApiModelProperty(name = "fumaoPaymentPrediction", value = "支付返回金额状态", dataType = "FumaoPaymentPrediction" ,required=true)
    private FumaoPaymentPrediction fumaoPaymentPrediction;

    @ApiModelProperty(name = "paymentTypeList", value = "支付类型列表", dataType = "List" ,required=false)
    private List<FumaoPaymentType> paymentTypeList;

    @Data
    @ApiModel
    class FumaoPaymentType {
        private Integer sequence;				//支付序号
        private String paymentTypeId;            //支付ID
        private String paymentTypeName;			//支付名称
        private String selectType;	//选择类型1; 选择类型，0：可用户选择；1：执行一个订单是系统默认选择的支付类型
        private String isPaymentTypeSelected;		//是否被选择  1，是否选择：0 未选择，1 选择；如果SelectType为1，该项一般需要为1
        private List<FumaoPaymentData> paymentData;	//支付数据列表
        private FumaoPaymentPrediction paymentPredictionbyType;	//支付小结计算
    }
}
