package com.neusoft.smart.pos.payment.persistent.ext.domain;

import lombok.Data;

import java.io.Serializable;

@Data
public class ThirdPlatformQueryPayGrant implements Serializable {
    private String mcode;               //聚合支付平台商户号
    private String mOrderNumber;        //业务平台订单号
    private String authNo;               //支付宝资金授权订单号
    private Long totalFreezeAmount;    //订单累计的冻结金额，单位为：分（人民币）
    private Long restAmount;         //订单总共剩余的冻结金额，单位为：分（人民币）
    private Long totalPayAmount;             //订单累计用于支付的金额，单位为：分（人民币）
    private String orderTitle;             //业务订单的简单描述，如商品名称等
    private String payerLogonId;             //付款方支付宝账号（Email或手机号），仅作展示使用，默认会加“*”号处理
    private String payerUserId;             //付款方支付宝账号对应的支付宝唯一用户号，以2088开头的16位纯数字组成
    private String outerOrderNumber;             //支付宝资金操作流水号
    private String outRequestNo;             //商户资金操作的请求流水号
    private Long amount;             //该笔资金操作流水opertion_id对应的操作金额，单位为：分（人民币）
    private String operationType;             //支付宝资金操作类型， 目前支持：  FREEZE：冻结  UNFREEZE：解冻  PAY：支付
    private String status;             //资金操作流水的状态， 目前支持：  INIT：初始  SUCCESS：成功  CLOSED：关闭
    private String remark;             //商户对本次操作的附言描述，长度不超过100个字母或50个汉字
    private String gmtCreate;             //资金授权单据操作流水创建时间， 格式：YYYY-MM-DD HH:MM:SS
    private String gmtTrans;             //支付宝账务处理成功时间， 格式：YYYY-MM-DD HH:MM:SS
//    private Long totalFreezeCreditAmount;             //累计冻结信用金额，单位为：分（人民币）
//    private Long totalFreezeFundAmount;             //累计冻结自有资金金额，单位为：分（人民币）
//    private Long totalPayCreditAmount;             //累计支付信用金额，单位为：分（人民币）
//    private Long totalPayFundAmount;             //累计支付自有资金金额，单位为：分（人民币）
//    private Long restCreditAmount;             //剩余冻结信用金额，单位为：分（人民币）
//    private Long restFundAmount;             //剩余冻结自有资金金额，单位为：分（人民币）
//    private Long creditAmount;             //该笔资金操作流水opertion_id对应的操作信用金额
//    private Long fundAmount;             //该笔资金操作流水opertion_id对应的操作自有资金金额
}