package com.neusoft.smart.pos.payment.persistent.ext.domain;

import lombok.Data;

import java.io.Serializable;

@Data
public class UnionPayQueryOrder implements Serializable {
    private String version = "5.1.0";           //版本号 全渠道默认值
    private String encoding = "UTF-8";          //字符集编码 可以使用UTF-8,GBK两种方式
    private String signMethod = "01";           //签名方法
    private String txnType = "00";              //交易类型 01:消费
    private String txnSubType = "00";           //交易子类
    private String bizType = "000000";          //填写000000
    private String channelType = "08";          //渠道类型 08手机

    /***商户接入参数***/
    private String accessType = "0";            //接入类型，商户接入填0 ，不需修改（0：直连商户， 1： 收单机构 2：平台商户）
    private String merId;                       //商户号码，请改成自己申请的商户号或者open上注册得来的777商户号测试
    private String orderId;                     //商户订单号，8-40位数字字母，不能含“-”或“_”，可以自行定制规则
    private String txnTime;                     //订单发送时间，取系统时间，格式为YYYYMMDDhhmmss，必须取当前时间，否则会报txnTime无效
    private String certId;                      //证书ID
    private String signature;                   //签名

}