package com.neusoft.smart.pos.trade.controller;


import com.neusoft.smart.pos.dto.trade.response.GetPayTypeDictsResponse;
import com.neusoft.smart.pos.framework.dto.ResponseData;
import com.neusoft.smart.pos.trade.service.PayTypeService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(value = "支付方式字典管理使用rest接口", description = "支付方式字典管理使用rest接口")
@RestController
@RequestMapping(path = "/payTypeDict")
@Validated
public class PayTypeController {

	@Autowired
	private PayTypeService payTypeService;

	@ApiOperation(value = "可用支付方式列表查询接口", notes = "系统可用支付方式列表查询方法")
	@GetMapping("/payTypes")
	public ResponseData<GetPayTypeDictsResponse> queryPayTypes() {
		return new ResponseData<>(payTypeService.queryPayTypes());
	}

}
	