package com.neusoft.smart.pos.trade.persistent.ext.domain;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

@Data
public class BillProfitExt implements Serializable {
    
    private List<BillProfitDetailExt> billProfitDetails;  //分润列表
    
    @Data
    @ApiModel
    public static class BillProfitDetailExt{
        private Integer orgId;          //集团Id
        private Integer shopId;          //门店Id
        private Integer subjectId;          //分润主体Id
        private String orderNumber;         //订单编号
        private String billNumber;         //账单编号
        private String subjectName;         //分润主体名称
        private String subjectType;         //分润主体类型@1:集团@2:门店@3:第三方
        private String payType;         //支付方式编号
        private BigDecimal profitAmount;    //分润金额
        private BigDecimal profitRate;         //分润比例
    }
}